-- DEATH KNIGHT MENU PAGE TAB TWO
function GoH_Deathknight_MenuButton_Page_Two_OnClick()
		-- GO TO PAGE TWO
		GoH_DEATHKNIGHT_PAGE_TAB_TWO_BUTTON_ICON:Disable();
		GoH_DeathKnight_Frame:Hide();

		GoH_DEATHKNIGHT_PAGE_TAB_ONE_BUTTON_ICON:Enable();
		GoH_DeathKnight_Frame_Page2:Show();

		GoHv5_DeathKnight_Data.config.Page_Tab = "TWO";
    	PlaySound("igMainMenuOptionCheckBoxOn");
end

-- DEATH KNIGHT MENU PAGE TAB ONE
function GoH_Deathknight_MenuButton_Page_One_OnClick()
		-- GO TO PAGE ONE
		GoH_DEATHKNIGHT_PAGE_TAB_ONE_BUTTON_ICON:Disable();
		GoH_DeathKnight_Frame_Page2:Hide();

		GoH_DEATHKNIGHT_PAGE_TAB_TWO_BUTTON_ICON:Enable();
		GoH_DeathKnight_Frame:Show();

		GoHv5_DeathKnight_Data.config.Page_Tab = "ONE";
    	PlaySound("igMainMenuOptionCheckBoxOn");
end

-- DEATH KNIGHT SPELL:  ACHERUS DEATHCHARGER SOUND
function GoH_Deathknight_MenuButton_Acherus_Deathcharger_OnClick()
	    if GoHv5_DeathKnight_Data.config.Acherus_Deathcharger == "NO" then
	    	GoHv5_DeathKnight_Data.config.Acherus_Deathcharger = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Summon_Mount_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Acherus_Deathcharger = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_DeathCharger_Button_Images();
end

-- DEATH KNIGHT SPELL:  WINGED STEED OF THE EBON BLADE SOUND
function GoH_Deathknight_MenuButton_Winged_Steed_OnClick()
	    if GoHv5_DeathKnight_Data.config.Winged_Steed_of_the_Ebon_Blade == "NO" then
	    	GoHv5_DeathKnight_Data.config.Winged_Steed_of_the_Ebon_Blade = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Summon_Mount_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Winged_Steed_of_the_Ebon_Blade = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Winged_Steed_Button_Images();
end

-- DEATH KNIGHT SPELL:  ACHERUS DEATHCHARGER NAME
function GoH_Deathknight_MenuButton_Acherus_Deathcharger_Name_OnClick()
	    if GoHv5_DeathKnight_Data.config.Acherus_Deathcharger_UseName == "NO" then
	    	GoHv5_DeathKnight_Data.config.Acherus_Deathcharger_UseName = "YES"
	    	PlaySoundFile("Sound\\Spells\\AchievmentSound1.wav","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Acherus_Deathcharger_UseName = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_DeathCharger_Button_Images();
end

-- DEATH KNIGHT SPELL:  ACHERUS WINGED STEED NAME
function GoH_Deathknight_MenuButton_Acherus_Winged_Steed_Name_OnClick()
	    if GoHv5_DeathKnight_Data.config.Winged_Steed_of_the_Ebon_Blade_UseName == "NO" then
	    	GoHv5_DeathKnight_Data.config.Winged_Steed_of_the_Ebon_Blade_UseName = "YES"
	    	PlaySoundFile("Sound\\Spells\\AchievmentSound1.wav","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Winged_Steed_of_the_Ebon_Blade_UseName = "NO"
 		   	PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Winged_Steed_Button_Images();
end


-- DEATH KNIGHT PLAY LOGIN SOUND
function GoH_Deathknight_MenuButton_PlayLoginSound_OnClick()
	    if GoHv5_DeathKnight_Data.config.Stupid_Login_Sound == "NO" then
	    	GoHv5_DeathKnight_Data.config.Stupid_Login_Sound = "YES"
	    	PlaySoundFile("Sound\\Creature\\LichKing\\EH_LichKing_Irritated1.wav","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Stupid_Login_Sound = "NO"
 		   	PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end


-- DEATH KNIGHT GOT BLOOD PRESENCE REMINDER
function GoH_Deathknight_MenuButton_BloodPresenceReminder_OnClick()
	    if GoHv5_DeathKnight_Data.config.Blood_Presence_Reminder == "NO" then
	    	GoHv5_DeathKnight_Data.config.Blood_Presence_Reminder = "YES"
 		   	PlaySound("igMainMenuOptionCheckBoxOn");
	    else
	    	GoHv5_DeathKnight_Data.config.Blood_Presence_Reminder = "NO"
 		   	PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end


-- DEATH KNIGHT ENABLE DISABLE DEATHKNIGHT PLAYER FRAMES
function GoH_Deathknight_MenuButton_Enable_Player_Frames_OnClick()
	    if GoHv5_DeathKnight_Data.config.Enable_Player_Frames == "NO" then
	    	GoHv5_DeathKnight_Data.config.Enable_Player_Frames = "YES"
 		   	PlaySound("igMainMenuOptionCheckBoxOn");
	    else
	    	GoHv5_DeathKnight_Data.config.Enable_Player_Frames = "NO"
 		   	PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SHOW DEATHKNIGHT PLAYER FRAMES
function GoH_Deathknight_MenuButton_Show_Player_Frames_OnClick()
	    if GoHv5_DeathKnight_Data.config.Show_Player_Frames == "NO" then
	    	GoHv5_DeathKnight_Data.config.Show_Player_Frames = "YES"
 		   	PlaySound("igMainMenuOptionCheckBoxOn");
	    else
	    	GoHv5_DeathKnight_Data.config.Show_Player_Frames = "NO"
 		   	PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SHOW DEATHKNIGHT PLAYER FRAMES WHEN IN RAIDS
function GoH_Deathknight_MenuButton_Show_Player_Frames_In_Raids_OnClick()
	    if GoHv5_DeathKnight_Data.config.Player_Frame_In_Raids == "NO" then
	    	GoHv5_DeathKnight_Data.config.Player_Frame_In_Raids = "YES"
 		   	PlaySound("igMainMenuOptionCheckBoxOn");
	    else
	    	GoHv5_DeathKnight_Data.config.Player_Frame_In_Raids = "NO"
 		   	PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT ENABLE DEATHKNIGHT END CAPS
function GoH_Deathknight_MenuButton_Enable_EndCaps_OnClick()
	    if GoHv5_DeathKnight_Data.config.Enable_End_Caps == "NO" then
	    	GoHv5_DeathKnight_Data.config.Enable_End_Caps = "YES"
 		   	PlaySound("igMainMenuOptionCheckBoxOn");
	    else
	    	GoHv5_DeathKnight_Data.config.Enable_End_Caps = "NO"
 		   	PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SHOW DEATHKNIGHT END CAPS
function GoH_Deathknight_MenuButton_Show_EndCaps_OnClick()
	    if GoHv5_DeathKnight_Data.config.Show_End_Caps == "NO" then
	    	GoHv5_DeathKnight_Data.config.Show_End_Caps = "YES"
 		   	PlaySound("igMainMenuOptionCheckBoxOn");
	    else
	    	GoHv5_DeathKnight_Data.config.Show_End_Caps = "NO"
 		   	PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end


-- DEATH KNIGHT SPELL TAUNT: DEATH GRIP
function GoH_Deathknight_MenuButton_DeathGrip_OnClick()
	    if GoHv5_DeathKnight_Data.config.Death_Grip == "NO" then
	    	GoHv5_DeathKnight_Data.config.Death_Grip = "YES"
	    	Play_Random_DEATHGRIP_Sound();
	    else
	    	GoHv5_DeathKnight_Data.config.Death_Grip = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL: HORN OF WINTER
function GoH_Deathknight_MenuButton_Horn_of_Winter_OnClick()
	    if GoHv5_DeathKnight_Data.config.Horn_of_Winter == "NO" then
	    	GoHv5_DeathKnight_Data.config.Horn_of_Winter = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\HornOfWinter_Begins_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Horn_of_Winter = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL: DEATH AND DECAY
function GoH_Deathknight_MenuButton_Death_and_Decay_OnClick()
	    if GoHv5_DeathKnight_Data.config.Death_and_Decay == "NO" then
	    	GoHv5_DeathKnight_Data.config.Death_and_Decay = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\StealthDetected_Sonar.mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Death_and_Decay = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL: PESTILENCE
function GoH_Deathknight_MenuButton_Pestilence_OnClick()
	    if GoHv5_DeathKnight_Data.config.Pestilence == "NO" then
	    	GoHv5_DeathKnight_Data.config.Pestilence = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\I_See_You_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Pestilence = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL: OUTBREAK
function GoH_Deathknight_MenuButton_Outbreak_OnClick()
	    if GoHv5_DeathKnight_Data.config.Outbreak == "NO" then
	    	GoHv5_DeathKnight_Data.config.Outbreak = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Thats_Enough_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Outbreak = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL: BLOOD TAP
function GoH_Deathknight_MenuButton_Blood_Tap_OnClick()
	    if GoHv5_DeathKnight_Data.config.Blood_Tap == "NO" then
	    	GoHv5_DeathKnight_Data.config.Blood_Tap = "YES"
	    	PlaySoundFile("Sound\\Creature\\CThun\\CThunYouWillDie.Wav","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Blood_Tap = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL: DEATH COIL
function GoH_Deathknight_MenuButton_Death_Coil_OnClick()
	    if GoHv5_DeathKnight_Data.config.Death_Coil == "NO" then
	    	GoHv5_DeathKnight_Data.config.Death_Coil = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Death_Coil.mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Death_Coil = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL: EMPOWER RUNE WEAPON
function GoH_Deathknight_MenuButton_Empower_Rune_Weapon_OnClick()
	    if GoHv5_DeathKnight_Data.config.Empower_Rune_Weapon == "NO" then
	    	GoHv5_DeathKnight_Data.config.Empower_Rune_Weapon = "YES"
	    	PlaySoundFile("Sound\\Creature\\LichKing\\IC_Lich King_FMAttack01.wav","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Empower_Rune_Weapon = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL: ICEBOUND FORTITUDE
function GoH_Deathknight_MenuButton_Icebound_Fortitude_OnClick()
	    if GoHv5_DeathKnight_Data.config.Icebound_Fortitude == "NO" then
	    	GoHv5_DeathKnight_Data.config.Icebound_Fortitude = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\IceboundFortitude_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Icebound_Fortitude = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL: BLOOD PRESENCE
function GoH_Deathknight_MenuButton_Blood_Presence_OnClick()
	    if GoHv5_DeathKnight_Data.config.Blood_Presence == "NO" then
	    	GoHv5_DeathKnight_Data.config.Blood_Presence = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Blood_Craze_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Blood_Presence = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL: FROST PRESENCE
function GoH_Deathknight_MenuButton_Frost_Presence_OnClick()
	    if GoHv5_DeathKnight_Data.config.Frost_Presence == "NO" then
	    	GoHv5_DeathKnight_Data.config.Frost_Presence = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\FreezingFog_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Frost_Presence = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL: UNHOLY PRESENCE
function GoH_Deathknight_MenuButton_Unholy_Presence_OnClick()
	    if GoHv5_DeathKnight_Data.config.Unholy_Presence == "NO" then
	    	GoHv5_DeathKnight_Data.config.Unholy_Presence = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\HolyPower_1.mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Unholy_Presence = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL: ANTIMAGIC SHELL
function GoH_Deathknight_MenuButton_AntiMagic_Shell_OnClick()
	    if GoHv5_DeathKnight_Data.config.AntiMagic_Shell == "NO" then
	    	GoHv5_DeathKnight_Data.config.AntiMagic_Shell = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Camouflage.mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.AntiMagic_Shell = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL: ANTIMAGIC ZONE
function GoH_Deathknight_MenuButton_AntiMagic_Zone_OnClick()
	    if GoHv5_DeathKnight_Data.config.AntiMagic_Zone == "NO" then
	    	GoHv5_DeathKnight_Data.config.AntiMagic_Zone = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Get_Under_Here_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.AntiMagic_Zone = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL: RAISE ALLY
function GoH_Deathknight_MenuButton_Raise_Ally_OnClick()
	    if GoHv5_DeathKnight_Data.config.Raise_Ally == "NO" then
	    	GoHv5_DeathKnight_Data.config.Raise_Ally = "YES"
	    	GoHv5_DeathKnight_Data.config.Void_Touch_Debuff = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\RaiseAlly_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Raise_Ally = "NO"
	    	GoHv5_DeathKnight_Data.config.Void_Touch_Debuff = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL: RAISE DEAD
function GoH_Deathknight_MenuButton_Raise_Dead_OnClick()
	    if GoHv5_DeathKnight_Data.config.Raise_Dead == "NO" then
	    	GoHv5_DeathKnight_Data.config.Raise_Dead = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\RaiseDead_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Raise_Dead = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL: ARMY OF THE DEAD
function GoH_Deathknight_MenuButton_Army_of_the_Dead_OnClick()
	    if GoHv5_DeathKnight_Data.config.Army_of_the_Dead == "NO" then
	    	GoHv5_DeathKnight_Data.config.Army_of_the_Dead = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\ArmyoftheDead2_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Army_of_the_Dead = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL: SUMMON GARGOYLE
function GoH_Deathknight_MenuButton_Summon_Gargoyle_OnClick()
	    if GoHv5_DeathKnight_Data.config.Summon_Gargoyle == "NO" then
	    	GoHv5_DeathKnight_Data.config.Summon_Gargoyle = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\SummonGargoyle_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Summon_Gargoyle = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL: DEATH PACT
function GoH_Deathknight_MenuButton_Death_Pact_OnClick()
	    if GoHv5_DeathKnight_Data.config.Death_Pact == "NO" then
	    	GoHv5_DeathKnight_Data.config.Death_Pact = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Death_Pact_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Death_Pact = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL: DARK TRANSFORMATION
function GoH_Deathknight_MenuButton_Dark_Transformation_OnClick()
	    if GoHv5_DeathKnight_Data.config.Dark_Transformation == "NO" then
	    	GoHv5_DeathKnight_Data.config.Dark_Transformation = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Dark_Transformation_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Dark_Transformation = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end


-- DEATH KNIGHT SPELL: STRANGULATE
function GoH_Deathknight_MenuButton_Strangulate_OnClick()
	    if GoHv5_DeathKnight_Data.config.Strangulate == "NO" then
	    	GoHv5_DeathKnight_Data.config.Strangulate = "YES"
	    	PlaySoundFile("Sound\\Creature\\Illidan\\BLACK_Illidan_04.wav","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Strangulate = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL: MIND FREEZE
function GoH_Deathknight_MenuButton_Mind_Freeze_OnClick()
	    if GoHv5_DeathKnight_Data.config.Mind_Freeze == "NO" then
	    	GoHv5_DeathKnight_Data.config.Mind_Freeze = "YES"
	    	PlaySoundFile("Sound\\Creature\\Illidan\\BLACK_Illidan_04.wav","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Mind_Freeze = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL: UNHOLY FRENZY
function GoH_Deathknight_MenuButton_Unholy_Frenzy_OnClick()
	    if GoHv5_DeathKnight_Data.config.Unholy_Frenzy == "NO" then
	    	GoHv5_DeathKnight_Data.config.Unholy_Frenzy = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Slaughter_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Unholy_Frenzy = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL: BLOOD BOIL
function GoH_Deathknight_MenuButton_Blood_Boil_OnClick()
	    if GoHv5_DeathKnight_Data.config.Blood_Boil == "NO" then
	    	GoHv5_DeathKnight_Data.config.Blood_Boil = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Toasty_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Blood_Boil = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL:  DARK COMMAND
function GoH_Deathknight_MenuButton_Dark_Command_OnClick()
	    if GoHv5_DeathKnight_Data.config.Dark_Command == "NO" then
	    	GoHv5_DeathKnight_Data.config.Dark_Command = "YES"
	    	Play_Random_DEATHGRIP_Sound();
	    else
	    	GoHv5_DeathKnight_Data.config.Dark_Command = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL:  BONE SHIELD
function GoH_Deathknight_MenuButton_Bone_Shield_OnClick()
	    if GoHv5_DeathKnight_Data.config.Bone_Shield == "NO" then
	    	GoHv5_DeathKnight_Data.config.Bone_Shield = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\BoneShield_Begins_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Bone_Shield = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();

end

-- DEATH KNIGHT SPELL:   UNHOLY BLIGHT
function GoH_Deathknight_MenuButton_Unholy_Blight_OnClick()
	    if GoHv5_DeathKnight_Data.config.Unholy_Blight == "NO" then
	    	GoHv5_DeathKnight_Data.config.Unholy_Blight = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\ArmyoftheDead_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Unholy_Blight = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();

end

-- DEATH KNIGHT SPELL:   CHAINS OF ICE
function GoH_Deathknight_MenuButton_Chains_of_Ice_OnClick()
	    if GoHv5_DeathKnight_Data.config.Chains_of_Ice == "NO" then
	    	GoHv5_DeathKnight_Data.config.Chains_of_Ice = "YES"
	    	Play_Random_Laugh();
	    else
	    	GoHv5_DeathKnight_Data.config.Chains_of_Ice = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();

end

-- DEATH KNIGHT SPELL:   DARK SIMULATION
function GoH_Deathknight_MenuButton_Dark_Simulation_OnClick()
	    if GoHv5_DeathKnight_Data.config.Dark_Simulation == "NO" then
	    	GoHv5_DeathKnight_Data.config.Dark_Simulation = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\All_Too_Easy_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Dark_Simulation = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();

end

-- DEATH KNIGHT INCLUDE HEADLESS HORSEMAN IDIOT SOUND
function GoH_Deathknight_Include_Horseman_Sound_OnClick()
	    if GoHv5_DeathKnight_Data.config.Include_Headless_Horseman_Sound == "NO" then
	    	GoHv5_DeathKnight_Data.config.Include_Headless_Horseman_Sound = "YES"
 		   	PlaySoundFile("Sound\\Creature\\HeadlessHorseMan\\Horseman_Beckon_01.wav","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Include_Headless_Horseman_Sound = "NO"
 		   	PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT INCLUDE RUDE SOUND
function GoH_Deathknight_Include_Rude_Sounds_OnClick()
	    if GoHv5_DeathKnight_Data.config.Include_Rude_Sounds == "NO" then
	    	GoHv5_DeathKnight_Data.config.Include_Rude_Sounds = "YES"
 		   	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Get_The_Fuck_Over_Here_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Include_Rude_Sounds = "NO"
 		   	PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT INCLUDE GOTCHA SOUND
function GoH_Deathknight_Include_Gotcha_Sounds_OnClick()
	    if GoHv5_DeathKnight_Data.config.Include_Gotcha_Sound == "NO" then
	    	GoHv5_DeathKnight_Data.config.Include_Gotcha_Sound = "YES"
 		   	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Gotcha_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Include_Gotcha_Sound = "NO"
 		   	PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL: HORN OF WINTER HAS ENDED
function GoH_Deathknight_MenuButton_Horn_of_Winter_Has_Ended_OnClick()
	    if GoHv5_DeathKnight_Data.config.Horn_of_Winter_Ends == "NO" then
	    	GoHv5_DeathKnight_Data.config.Horn_of_Winter_Ends = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\HornOfWinter_Ends_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
			UIErrorsFrame:AddMessage(DeathKnight_Horn_of_Winter_Name .. " is no longer active.", 1, 1, 0);
	    else
	    	GoHv5_DeathKnight_Data.config.Horn_of_Winter_Ends = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL:   ICY TOUCH
function GoH_Deathknight_MenuButton_Icy_Touch_OnClick()
	    if GoHv5_DeathKnight_Data.config.Icy_Touch == "NO" then
	    	GoHv5_DeathKnight_Data.config.Icy_Touch = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Critical_1.mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Icy_Touch = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();

end

-- DEATH KNIGHT SPELL:   PATH OF FROST
function GoH_Deathknight_MenuButton_Path_of_Frost_OnClick()
	    if GoHv5_DeathKnight_Data.config.Path_of_Frost == "NO" then
	    	GoHv5_DeathKnight_Data.config.Path_of_Frost = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Death_Coil_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Path_of_Frost = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();

end

-- DEATH KNIGHT SPELL:   DANCING RUNE WEAPON
function GoH_Deathknight_MenuButton_Dancing_Rune_Weapon_OnClick()
	    if GoHv5_DeathKnight_Data.config.Dancing_Rune_Weapon == "NO" then
	    	GoHv5_DeathKnight_Data.config.Dancing_Rune_Weapon = "YES"
	    	Play_Random_Laugh();
	    else
	    	GoHv5_DeathKnight_Data.config.Dancing_Rune_Weapon = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();

end

-- DEATH KNIGHT SPELL:   REMORSELESS WINTER
function GoH_Deathknight_MenuButton_Remorseless_Winter_OnClick()
	    if GoHv5_DeathKnight_Data.config.Remorseless_Winter == "NO" then
	    	GoHv5_DeathKnight_Data.config.Remorseless_Winter = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\FreezingFog_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Remorseless_Winter = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();

end

-- DEATH KNIGHT SPELL:   ASPHYXIATE
function GoH_Deathknight_MenuButton_Asphyxiate_OnClick()
	    if GoHv5_DeathKnight_Data.config.Asphyxiate == "NO" then
	    	GoHv5_DeathKnight_Data.config.Asphyxiate = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Cower_Before_Me_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Asphyxiate = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();

end

-- DEATH KNIGHT SPELL:   DEATH'S ADVANCE
function GoH_Deathknight_MenuButton_Deaths_Advance_OnClick()
	    if GoHv5_DeathKnight_Data.config.Deaths_Advance == "NO" then
	    	GoHv5_DeathKnight_Data.config.Deaths_Advance = "YES"
	    	PlaySoundFile("Sound\\Creature\\Illidan\\BLACK_Illidan_04.wav","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Deaths_Advance = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();

end


-- DEATH KNIGHT SPELL:   GOREFIEND'S GRASP
function GoH_Deathknight_MenuButton_Gorfiends_Grasp_OnClick()
	    if GoHv5_DeathKnight_Data.config.Gorfiends_Grasp == "NO" then
	    	GoHv5_DeathKnight_Data.config.Gorfiends_Grasp = "YES"
	    	Play_Random_DEATHGRIP_Sound();
	    else
	    	GoHv5_DeathKnight_Data.config.Gorfiends_Grasp = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();

end


-- DEATH KNIGHT SPELL:   CONTROL UNDEAD
function GoH_Deathknight_MenuButton_Control_Undead_OnClick()
	    if GoHv5_DeathKnight_Data.config.Control_Undead == "NO" then
	    	GoHv5_DeathKnight_Data.config.Control_Undead = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\ArmyoftheDead_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Control_Undead = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();

end


-- DEATH KNIGHT SPELL:   RUNE TAP
function GoH_Deathknight_MenuButton_Rune_Tap_OnClick()
	    if GoHv5_DeathKnight_Data.config.Rune_Tap == "NO" then
	    	GoHv5_DeathKnight_Data.config.Rune_Tap = "YES"
	    	Play_Random_Laugh();
	    else
	    	GoHv5_DeathKnight_Data.config.Rune_Tap = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();

end


-- DEATH KNIGHT SPELL:   PLAGUE LEECH
function GoH_Deathknight_MenuButton_Plague_Leech_OnClick()
	    if GoHv5_DeathKnight_Data.config.Plague_Leech == "NO" then
	    	GoHv5_DeathKnight_Data.config.Plague_Leech = "YES"
	    	Play_Random_Laugh();
	    else
	    	GoHv5_DeathKnight_Data.config.Plague_Leech = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();

end


-- DEATH KNIGHT SPELL:   LICHBORNE
function GoH_Deathknight_MenuButton_Lichborne_OnClick()
	    if GoHv5_DeathKnight_Data.config.Lichborne == "NO" then
	    	GoHv5_DeathKnight_Data.config.Lichborne = "YES"
	    	Play_Random_Laugh();
	    else
	    	GoHv5_DeathKnight_Data.config.Lichborne = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();

end


-- DEATH KNIGHT SPELL:   DESECRATED GROUND
function GoH_Deathknight_MenuButton_Desecrated_Ground_OnClick()
	    if GoHv5_DeathKnight_Data.config.Desecrated_Ground == "NO" then
	    	GoHv5_DeathKnight_Data.config.Desecrated_Ground = "YES"
	    	Play_Random_Laugh();
	    else
	    	GoHv5_DeathKnight_Data.config.Desecrated_Ground = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();

end


-- DEATH KNIGHT SPELL:   VAMPIRIC BLOOD
function GoH_Deathknight_MenuButton_Vampiric_Blood_OnClick()
	    if GoHv5_DeathKnight_Data.config.Vampiric_Blood == "NO" then
	    	GoHv5_DeathKnight_Data.config.Vampiric_Blood = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Heartbeat.mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Vampiric_Blood = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();

end


-- DEATH KNIGHT SPELL:   DEATH GATE
function GoH_Deathknight_MenuButton_Death_Gate_OnClick()
	    if GoHv5_DeathKnight_Data.config.Death_Gate == "NO" then
	    	GoHv5_DeathKnight_Data.config.Death_Gate = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Stargate.mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Death_Gate = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();

end



-- ###################################################################################################
-- ###################################################################################################
-- THIS NEXT FUNCTION IS WHERE ALL YOUR SPELL IMAGES AND TEXT ARE CALLED, SET AND REFRESHED.
-- PUT ALL OF YOUR DEATH KNIGHT SPELLS WITHIN SO YOU JUST NEED TO CALL ONE FUNCTION TO REFRESH ALL.
-- BASICALLY EVERY SPELL YOU ADD ABOVE WILL BE WITHIN THE FUNCTION BELOW AND EVERY SPELL ABOVE WILL CALL
-- THE FUNCTION BELOW. EVERY TIME YOU CHECK SOMETHING IN THE DEATH KNIGHT MENU, BELOW WILL REFRESH IT ALL.
-- ###################################################################################################
-- ###################################################################################################
function GoH_DeathKnight_Set_Menu_Button_Images()

        -- ###################################################################################################
        -- ###################################################################################################
		--     DEATH GATE
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_DEATH_GATE_ICON:SetHighlightTexture(DeathKnight_Death_Gate_Icon);
		GoH_DEATHKNIGHT_DEATH_GATE_ICON:SetPushedTexture(DeathKnight_Death_Gate_Icon);
		GoH_DEATHKNIGHT_DEATH_GATE_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Death_Gate == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_DEATH_GATE_ICON:SetNormalTexture(DeathKnight_Death_Gate_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Death_Gate_Text:SetText("|cFF00AA00" .. DeathKnight_Death_Gate_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Death_Gate_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Death_Gate_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_DEATH_GATE_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Death_Gate_Text:SetText("|cFFFF0000" .. DeathKnight_Death_Gate_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Death_Gate_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Death_Gate_Name .. "?" .. "|r")

		end
 	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_DEATH_GATE_ICON:Enable();
	else
		GoH_DEATHKNIGHT_DEATH_GATE_ICON:Disable();
		DeathKnight_Death_Gate_Text:SetText("|cFF888888" .. DeathKnight_Death_Gate_Name .. " disabled.|r");
	end


        -- ###################################################################################################
        -- ###################################################################################################
		--     VAMPIRIC BLOOD
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_VAMPIRIC_BLOOD_ICON:SetHighlightTexture(DeathKnight_Vampiric_Blood_Icon);
		GoH_DEATHKNIGHT_VAMPIRIC_BLOOD_ICON:SetPushedTexture(DeathKnight_Vampiric_Blood_Icon);
		GoH_DEATHKNIGHT_VAMPIRIC_BLOOD_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Vampiric_Blood == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_VAMPIRIC_BLOOD_ICON:SetNormalTexture(DeathKnight_Vampiric_Blood_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Vampiric_Blood_Text:SetText("|cFF00AA00" .. DeathKnight_Vampiric_Blood_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Vampiric_Blood_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Vampiric_Blood_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_VAMPIRIC_BLOOD_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Vampiric_Blood_Text:SetText("|cFFFF0000" .. DeathKnight_Vampiric_Blood_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Vampiric_Blood_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Vampiric_Blood_Name .. "?" .. "|r")

		end
 	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_VAMPIRIC_BLOOD_ICON:Enable();
	else
		GoH_DEATHKNIGHT_VAMPIRIC_BLOOD_ICON:Disable();
		DeathKnight_Vampiric_Blood_Text:SetText("|cFF888888" .. DeathKnight_Vampiric_Blood_Name .. " disabled.|r");
	end


        -- ###################################################################################################
        -- ###################################################################################################
		--     DESECRATED GROUND
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_DESECRATED_GROUND_ICON:SetHighlightTexture(DeathKnight_Desecrated_Ground_Icon);
		GoH_DEATHKNIGHT_DESECRATED_GROUND_ICON:SetPushedTexture(DeathKnight_Desecrated_Ground_Icon);
		GoH_DEATHKNIGHT_DESECRATED_GROUND_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Desecrated_Ground == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_DESECRATED_GROUND_ICON:SetNormalTexture(DeathKnight_Desecrated_Ground_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Desecrated_Ground_Text:SetText("|cFF00AA00" .. DeathKnight_Desecrated_Ground_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Desecrated_Ground_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Desecrated_Ground_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_DESECRATED_GROUND_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Desecrated_Ground_Text:SetText("|cFFFF0000" .. DeathKnight_Desecrated_Ground_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Desecrated_Ground_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Desecrated_Ground_Name .. "?" .. "|r")

		end
 	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_DESECRATED_GROUND_ICON:Enable();
	else
		GoH_DEATHKNIGHT_DESECRATED_GROUND_ICON:Disable();
		DeathKnight_Desecrated_Ground_Text:SetText("|cFF888888" .. DeathKnight_Desecrated_Ground_Name .. " disabled.|r");
	end


        -- ###################################################################################################
        -- ###################################################################################################
		--     LICHBORNE
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_LICHBORNE_ICON:SetHighlightTexture(DeathKnight_Lichborne_Icon);
		GoH_DEATHKNIGHT_LICHBORNE_ICON:SetPushedTexture(DeathKnight_Lichborne_Icon);
		GoH_DEATHKNIGHT_LICHBORNE_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Lichborne == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_LICHBORNE_ICON:SetNormalTexture(DeathKnight_Lichborne_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Lichborne_Text:SetText("|cFF00AA00" .. DeathKnight_Lichborne_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Lichborne_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Lichborne_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_LICHBORNE_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Lichborne_Text:SetText("|cFFFF0000" .. DeathKnight_Lichborne_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Lichborne_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Lichborne_Name .. "?" .. "|r")

		end
 	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_LICHBORNE_ICON:Enable();
	else
		GoH_DEATHKNIGHT_LICHBORNE_ICON:Disable();
		DeathKnight_Lichborne_Text:SetText("|cFF888888" .. DeathKnight_Lichborne_Name .. " disabled.|r");
	end



        -- ###################################################################################################
        -- ###################################################################################################
		--     PLAGUE LEECH
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_PLAGUE_LEECH_ICON:SetHighlightTexture(DeathKnight_Plague_Leech_Icon);
		GoH_DEATHKNIGHT_PLAGUE_LEECH_ICON:SetPushedTexture(DeathKnight_Plague_Leech_Icon);
		GoH_DEATHKNIGHT_PLAGUE_LEECH_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Plague_Leech == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_PLAGUE_LEECH_ICON:SetNormalTexture(DeathKnight_Plague_Leech_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Plague_Leech_Text:SetText("|cFF00AA00" .. DeathKnight_Plague_Leech_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Plague_Leech_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Plague_Leech_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_PLAGUE_LEECH_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Plague_Leech_Text:SetText("|cFFFF0000" .. DeathKnight_Plague_Leech_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Plague_Leech_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Plague_Leech_Name .. "?" .. "|r")

		end
 	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_PLAGUE_LEECH_ICON:Enable();
	else
		GoH_DEATHKNIGHT_PLAGUE_LEECH_ICON:Disable();
		DeathKnight_Plague_Leech_Text:SetText("|cFF888888" .. DeathKnight_Plague_Leech_Name .. " disabled.|r");
	end


        -- ###################################################################################################
        -- ###################################################################################################
		--     RUNE TAP
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_RUNE_TAP_ICON:SetHighlightTexture(DeathKnight_Rune_Tap_Icon);
		GoH_DEATHKNIGHT_RUNE_TAP_ICON:SetPushedTexture(DeathKnight_Rune_Tap_Icon);
		GoH_DEATHKNIGHT_RUNE_TAP_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Rune_Tap == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_RUNE_TAP_ICON:SetNormalTexture(DeathKnight_Rune_Tap_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Rune_Tap_Text:SetText("|cFF00AA00" .. DeathKnight_Rune_Tap_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Rune_Tap_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Rune_Tap_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_RUNE_TAP_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Rune_Tap_Text:SetText("|cFFFF0000" .. DeathKnight_Rune_Tap_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Rune_Tap_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Rune_Tap_Name .. "?" .. "|r")

		end
 	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_RUNE_TAP_ICON:Enable();
	else
		GoH_DEATHKNIGHT_RUNE_TAP_ICON:Disable();
		DeathKnight_Rune_Tap_Text:SetText("|cFF888888" .. DeathKnight_Rune_Tap_Name .. " disabled.|r");
	end


        -- ###################################################################################################
        -- ###################################################################################################
		--     CONTROL UNDEAD
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_CONTROL_UNDEAD_ICON:SetHighlightTexture(DeathKnight_Control_Undead_Icon);
		GoH_DEATHKNIGHT_CONTROL_UNDEAD_ICON:SetPushedTexture(DeathKnight_Control_Undead_Icon);
		GoH_DEATHKNIGHT_CONTROL_UNDEAD_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Control_Undead == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_CONTROL_UNDEAD_ICON:SetNormalTexture(DeathKnight_Control_Undead_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Control_Undead_Text:SetText("|cFF00AA00" .. DeathKnight_Control_Undead_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Control_Undead_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Control_Undead_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_CONTROL_UNDEAD_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Control_Undead_Text:SetText("|cFFFF0000" .. DeathKnight_Control_Undead_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Control_Undead_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Control_Undead_Name .. "?" .. "|r")

		end
 	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_CONTROL_UNDEAD_ICON:Enable();
	else
		GoH_DEATHKNIGHT_CONTROL_UNDEAD_ICON:Disable();
		DeathKnight_Control_Undead_Text:SetText("|cFF888888" .. DeathKnight_Control_Undead_Name .. " disabled.|r");
	end


        -- ###################################################################################################
        -- ###################################################################################################
		--     GOREFIEND'S GRASP
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_GOREFIENDS_GRASP_ICON:SetHighlightTexture(DeathKnight_Gorefiends_Grasp_Icon);
		GoH_DEATHKNIGHT_GOREFIENDS_GRASP_ICON:SetPushedTexture(DeathKnight_Gorefiends_Grasp_Icon);
		GoH_DEATHKNIGHT_GOREFIENDS_GRASP_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Gorfiends_Grasp == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_GOREFIENDS_GRASP_ICON:SetNormalTexture(DeathKnight_Gorefiends_Grasp_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Gorefiends_Grasp_Text:SetText("|cFF00AA00" .. DeathKnight_Gorefiends_Grasp_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Gorfiends_Grasp_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Gorefiends_Grasp_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_GOREFIENDS_GRASP_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Gorefiends_Grasp_Text:SetText("|cFFFF0000" .. DeathKnight_Gorefiends_Grasp_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Gorfiends_Grasp_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Gorefiends_Grasp_Name .. "?" .. "|r")

		end
 	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_GOREFIENDS_GRASP_ICON:Enable();
	else
		GoH_DEATHKNIGHT_GOREFIENDS_GRASP_ICON:Disable();
		DeathKnight_Gorefiends_Grasp_Text:SetText("|cFF888888" .. DeathKnight_Gorefiends_Grasp_Name .. " disabled.|r");
	end



        -- ###################################################################################################
        -- ###################################################################################################
		--     DEATH'S ADVANCE
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_DEATHS_ADVANCE_ICON:SetHighlightTexture(DeathKnight_Deaths_Advance_Icon);
		GoH_DEATHKNIGHT_DEATHS_ADVANCE_ICON:SetPushedTexture(DeathKnight_Deaths_Advance_Icon);
		GoH_DEATHKNIGHT_DEATHS_ADVANCE_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Deaths_Advance == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_DEATHS_ADVANCE_ICON:SetNormalTexture(DeathKnight_Deaths_Advance_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Deaths_Advance_Text:SetText("|cFF00AA00" .. DeathKnight_Deaths_Advance_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Deaths_Advance_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Deaths_Advance_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_DEATHS_ADVANCE_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Deaths_Advance_Text:SetText("|cFFFF0000" .. DeathKnight_Deaths_Advance_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Deaths_Advance_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Deaths_Advance_Name .. "?" .. "|r")

		end
 	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_DEATHS_ADVANCE_ICON:Enable();
	else
		GoH_DEATHKNIGHT_DEATHS_ADVANCE_ICON:Disable();
		DeathKnight_Deaths_Advance_Text:SetText("|cFF888888" .. DeathKnight_Deaths_Advance_Name .. " disabled.|r");
	end



        -- ###################################################################################################
        -- ###################################################################################################
		--     ASPHYXIATE
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_ASPHYXIATE_ICON:SetHighlightTexture(DeathKnight_Asphyxiate_Icon);
		GoH_DEATHKNIGHT_ASPHYXIATE_ICON:SetPushedTexture(DeathKnight_Asphyxiate_Icon);
		GoH_DEATHKNIGHT_ASPHYXIATE_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Asphyxiate == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_ASPHYXIATE_ICON:SetNormalTexture(DeathKnight_Asphyxiate_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Asphyxiate_Text:SetText("|cFF00AA00" .. DeathKnight_Asphyxiate_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Asphyxiate_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Asphyxiate_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_ASPHYXIATE_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Asphyxiate_Text:SetText("|cFFFF0000" .. DeathKnight_Asphyxiate_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Asphyxiate_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Asphyxiate_Name .. "?" .. "|r")

		end
 	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_ASPHYXIATE_ICON:Enable();
	else
		GoH_DEATHKNIGHT_ASPHYXIATE_ICON:Disable();
		DeathKnight_Asphyxiate_Text:SetText("|cFF888888" .. DeathKnight_Asphyxiate_Name .. " disabled.|r");
	end



        -- ###################################################################################################
       -- ###################################################################################################
		--     REMORSELESS WINTER
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_REMORSELESS_WINTER_ICON:SetHighlightTexture(DeathKnight_Remorseless_Winter_Icon);
		GoH_DEATHKNIGHT_REMORSELESS_WINTER_ICON:SetPushedTexture(DeathKnight_Remorseless_Winter_Icon);
		GoH_DEATHKNIGHT_REMORSELESS_WINTER_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Remorseless_Winter == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_REMORSELESS_WINTER_ICON:SetNormalTexture(DeathKnight_Remorseless_Winter_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Remorseless_Winter_Text:SetText("|cFF00AA00" .. DeathKnight_Remorseless_Winter_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Remorseless_Winter_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Remorseless_Winter_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_REMORSELESS_WINTER_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Remorseless_Winter_Text:SetText("|cFFFF0000" .. DeathKnight_Remorseless_Winter_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Remorseless_Winter_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Remorseless_Winter_Name .. "?" .. "|r")

		end
 	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_REMORSELESS_WINTER_ICON:Enable();
	else
		GoH_DEATHKNIGHT_REMORSELESS_WINTER_ICON:Disable();
		DeathKnight_Remorseless_Winter_Text:SetText("|cFF888888" .. DeathKnight_Remorseless_Winter_Name .. " disabled.|r");
	end



        -- ###################################################################################################
        -- ###################################################################################################
		--     DANCING RUNE WEAPON
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_DANCING_RUNE_WEAPON_ICON:SetHighlightTexture(DeathKnight_Dancing_Rune_Weapon_Icon);
		GoH_DEATHKNIGHT_DANCING_RUNE_WEAPON_ICON:SetPushedTexture(DeathKnight_Dancing_Rune_Weapon_Icon);
		GoH_DEATHKNIGHT_DANCING_RUNE_WEAPON_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Dancing_Rune_Weapon == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_DANCING_RUNE_WEAPON_ICON:SetNormalTexture(DeathKnight_Dancing_Rune_Weapon_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Dancing_Rune_Weapon_Text:SetText("|cFF00AA00" .. DeathKnight_Dancing_Rune_Weapon_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Dancing_Rune_Weapon_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Dancing_Rune_Weapon_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_DANCING_RUNE_WEAPON_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Dancing_Rune_Weapon_Text:SetText("|cFFFF0000" .. DeathKnight_Dancing_Rune_Weapon_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Dancing_Rune_Weapon_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Dancing_Rune_Weapon_Name .. "?" .. "|r")

		end
 	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_DANCING_RUNE_WEAPON_ICON:Enable();
	else
		GoH_DEATHKNIGHT_DANCING_RUNE_WEAPON_ICON:Disable();
		DeathKnight_Dancing_Rune_Weapon_Text:SetText("|cFF888888" .. DeathKnight_Dancing_Rune_Weapon_Name .. " disabled.|r");
	end


        -- ###################################################################################################
        -- ###################################################################################################
		--     PATH OF FROST
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_PATH_OF_FROST_ICON:SetHighlightTexture(DeathKnight_Path_of_Frost_Icon);
		GoH_DEATHKNIGHT_PATH_OF_FROST_ICON:SetPushedTexture(DeathKnight_Path_of_Frost_Icon);
		GoH_DEATHKNIGHT_PATH_OF_FROST_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Path_of_Frost == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_PATH_OF_FROST_ICON:SetNormalTexture(DeathKnight_Path_of_Frost_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Path_of_Frost_Text:SetText("|cFF00AA00" .. DeathKnight_Path_of_Frost_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Path_of_Frost_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Path_of_Frost_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_PATH_OF_FROST_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Path_of_Frost_Text:SetText("|cFFFF0000" .. DeathKnight_Path_of_Frost_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Path_of_Frost_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Path_of_Frost_Name .. "?" .. "|r")

		end
 	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_PATH_OF_FROST_ICON:Enable();
	else
		GoH_DEATHKNIGHT_PATH_OF_FROST_ICON:Disable();
		DeathKnight_Path_of_Frost_Text:SetText("|cFF888888" .. DeathKnight_Path_of_Frost_Name .. " disabled.|r");
	end


        -- ###################################################################################################
        -- ###################################################################################################
		--     ICY TOUCH
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_ICY_TOUCH_ICON:SetHighlightTexture(DeathKnight_Icy_Touch_Icon);
		GoH_DEATHKNIGHT_ICY_TOUCH_ICON:SetPushedTexture(DeathKnight_Icy_Touch_Icon);
		GoH_DEATHKNIGHT_ICY_TOUCH_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Icy_Touch == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_ICY_TOUCH_ICON:SetNormalTexture(DeathKnight_Icy_Touch_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Icy_Touch_Text:SetText("|cFF00AA00" .. DeathKnight_Icy_Touch_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Icy_Touch_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Icy_Touch_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_ICY_TOUCH_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Icy_Touch_Text:SetText("|cFFFF0000" .. DeathKnight_Icy_Touch_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Icy_Touch_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Icy_Touch_Name .. "?" .. "|r")

		end
 	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_ICY_TOUCH_ICON:Enable();
	else
		GoH_DEATHKNIGHT_ICY_TOUCH_ICON:Disable();
		DeathKnight_Icy_Touch_Text:SetText("|cFF888888" .. DeathKnight_Icy_Touch_Name .. " disabled.|r");
	end


        -- ###################################################################################################
		-- ###################################################################################################
		-- HORN OF WINTER HAS ENDED
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_HORN_OF_WINTER_ENDED_ICON:SetHighlightTexture(DeathKnight_Horn_of_Winter_Icon);
		GoH_DEATHKNIGHT_HORN_OF_WINTER_ENDED_ICON:SetPushedTexture(DeathKnight_Horn_of_Winter_Icon);
		GoH_DEATHKNIGHT_HORN_OF_WINTER_ENDED_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Horn_of_Winter_Ends == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_HORN_OF_WINTER_ENDED_ICON:SetNormalTexture(DeathKnight_Horn_of_Winter_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Horn_of_Winter_Ended_Text:SetText("|cFF00AA00" .. DeathKnight_Horn_of_Winter_Name .. " Has Ended|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Horn_of_Winter_Has_Ended_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Horn_of_Winter_Name .. " Has Ended?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_HORN_OF_WINTER_ENDED_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Horn_of_Winter_Ended_Text:SetText("|cFFFF0000" .. DeathKnight_Horn_of_Winter_Name .. " Has Ended|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Horn_of_Winter_Has_Ended_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Horn_of_Winter_Name .. " Has Ended?" .. "|r")

		end
 	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_HORN_OF_WINTER_ENDED_ICON:Enable();
	else
		GoH_DEATHKNIGHT_HORN_OF_WINTER_ENDED_ICON:Disable();
		DeathKnight_Horn_of_Winter_Ended_Text:SetText("|cFF888888" .. DeathKnight_Horn_of_Winter_Name .. " Has Ended disabled.|r");
	end

		-- ###################################################################################################
		-- ###################################################################################################
		-- INCLUDE GOTCHA SOUNDS
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_INCLUDE_GOTCHA:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_DEATHKNIGHT_INCLUDE_GOTCHA:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_DEATHKNIGHT_INCLUDE_GOTCHA:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Include_Gotcha_Sound == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_INCLUDE_GOTCHA:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Include_Gotcha_Text:SetText("|cFF00AA00Gotcha?|r");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_INCLUDE_GOTCHA:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Include_Gotcha_Text:SetText("|cFFFF0000Gotcha?|r");

		end
		-- ###################################################################################################
		-- ###################################################################################################
		-- INCLUDE RUDE SOUNDS
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_INCLUDE_RUDE:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_DEATHKNIGHT_INCLUDE_RUDE:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_DEATHKNIGHT_INCLUDE_RUDE:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Include_Rude_Sounds == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_INCLUDE_RUDE:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Include_Rude_Text:SetText("|cFF00AA00Rude?|r");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_INCLUDE_RUDE:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Include_Rude_Text:SetText("|cFFFF0000Rude?|r");

		end
		-- ###################################################################################################
		-- ###################################################################################################
		-- INCLUDE HEADLESS HORSEMAN IDIOT SOUND
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_INCLUDE_HORSEMAN:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_DEATHKNIGHT_INCLUDE_HORSEMAN:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_DEATHKNIGHT_INCLUDE_HORSEMAN:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Include_Headless_Horseman_Sound == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_INCLUDE_HORSEMAN:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Include_Horseman_Text:SetText("|cFF00AA00Include Horseman?|r");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_INCLUDE_HORSEMAN:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Include_Horseman_Text:SetText("|cFFFF0000Include Horseman?|r");

		end
		-- ###################################################################################################
        -- ###################################################################################################
		--    DARK SIMULATION
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_DARK_SIMULATION_ICON:SetHighlightTexture(DeathKnight_Dark_Simulation_Icon);
		GoH_DEATHKNIGHT_DARK_SIMULATION_ICON:SetPushedTexture(DeathKnight_Dark_Simulation_Icon);
		GoH_DEATHKNIGHT_DARK_SIMULATION_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Dark_Simulation == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_DARK_SIMULATION_ICON:SetNormalTexture(DeathKnight_Dark_Simulation_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Dark_Simulation_Text:SetText("|cFF00AA00" .. DeathKnight_Dark_Simulation_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Dark_Simulation_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Dark_Simulation_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_DARK_SIMULATION_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Dark_Simulation_Text:SetText("|cFFFF0000" .. DeathKnight_Dark_Simulation_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Dark_Simulation_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Dark_Simulation_Name .. "?" .. "|r")

		end
 	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_DARK_SIMULATION_ICON:Enable();
	else
		GoH_DEATHKNIGHT_DARK_SIMULATION_ICON:Disable();
		DeathKnight_Dark_Simulation_Text:SetText("|cFF888888" .. DeathKnight_Dark_Simulation_Name .. " disabled.|r");
	end


        -- ###################################################################################################
        -- ###################################################################################################
		--     CHAINS OF ICE
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_CHAINS_OF_ICE_ICON:SetHighlightTexture(DeathKnight_Chains_of_Ice_Icon);
		GoH_DEATHKNIGHT_CHAINS_OF_ICE_ICON:SetPushedTexture(DeathKnight_Chains_of_Ice_Icon);
		GoH_DEATHKNIGHT_CHAINS_OF_ICE_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Chains_of_Ice == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_CHAINS_OF_ICE_ICON:SetNormalTexture(DeathKnight_Chains_of_Ice_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Chains_of_Ice_Text:SetText("|cFF00AA00" .. DeathKnight_Chains_of_Ice_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Chains_of_Ice_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Chains_of_Ice_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_CHAINS_OF_ICE_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Chains_of_Ice_Text:SetText("|cFFFF0000" .. DeathKnight_Chains_of_Ice_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Chains_of_Ice_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Chains_of_Ice_Name .. "?" .. "|r")

		end
 	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_CHAINS_OF_ICE_ICON:Enable();
	else
		GoH_DEATHKNIGHT_CHAINS_OF_ICE_ICON:Disable();
		DeathKnight_Chains_of_Ice_Text:SetText("|cFF888888" .. DeathKnight_Chains_of_Ice_Name .. " disabled.|r");
	end


        -- ###################################################################################################
        -- ###################################################################################################
		--     UNHOLY BLIGHT
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_UNHOLY_BLIGHT_ICON:SetHighlightTexture(DeathKnight_Unholy_Blight_Icon);
		GoH_DEATHKNIGHT_UNHOLY_BLIGHT_ICON:SetPushedTexture(DeathKnight_Unholy_Blight_Icon);
		GoH_DEATHKNIGHT_UNHOLY_BLIGHT_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Unholy_Blight == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_UNHOLY_BLIGHT_ICON:SetNormalTexture(DeathKnight_Unholy_Blight_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Unholy_Blight_Text:SetText("|cFF00AA00" .. DeathKnight_Unholy_Blight_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Unholy_Blight_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Unholy_Blight_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_UNHOLY_BLIGHT_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Unholy_Blight_Text:SetText("|cFFFF0000" .. DeathKnight_Unholy_Blight_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Unholy_Blight_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Unholy_Blight_Name .. "?" .. "|r")

		end
 	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_UNHOLY_BLIGHT_ICON:Enable();
	else
		GoH_DEATHKNIGHT_UNHOLY_BLIGHT_ICON:Disable();
		DeathKnight_Unholy_Blight_Text:SetText("|cFF888888" .. DeathKnight_Unholy_Blight_Name .. " disabled.|r");
	end


        -- ###################################################################################################
        -- ###################################################################################################
		--     BONE SHIELD
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_BONE_SHIELD_ICON:SetHighlightTexture(DeathKnight_Bone_Shield_Icon);
		GoH_DEATHKNIGHT_BONE_SHIELD_ICON:SetPushedTexture(DeathKnight_Bone_Shield_Icon);
		GoH_DEATHKNIGHT_BONE_SHIELD_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Bone_Shield == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_BONE_SHIELD_ICON:SetNormalTexture(DeathKnight_Bone_Shield_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Bone_Shield_Text:SetText("|cFF00AA00" .. DeathKnight_Bone_Shield_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Bone_Shield_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Bone_Shield_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_BONE_SHIELD_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Bone_Shield_Text:SetText("|cFFFF0000" .. DeathKnight_Bone_Shield_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Bone_Shield_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Bone_Shield_Name .. "?" .. "|r")

		end
 	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_BONE_SHIELD_ICON:Enable();
	else
		GoH_DEATHKNIGHT_BONE_SHIELD_ICON:Disable();
		DeathKnight_Bone_Shield_Text:SetText("|cFF888888" .. DeathKnight_Bone_Shield_Name .. " disabled.|r");
	end

        -- ###################################################################################################
        -- ###################################################################################################
		--    DARK COMMAND
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_DARK_COMMAND_ICON:SetHighlightTexture(DeathKnight_Dark_Command_Icon);
		GoH_DEATHKNIGHT_DARK_COMMAND_ICON:SetPushedTexture(DeathKnight_Dark_Command_Icon);
		GoH_DEATHKNIGHT_DARK_COMMAND_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Dark_Command == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_DARK_COMMAND_ICON:SetNormalTexture(DeathKnight_Dark_Command_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Dark_Command_Text:SetText("|cFF00AA00" .. DeathKnight_Dark_Command_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Dark_Command_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Dark_Command_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_DARK_COMMAND_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Dark_Command_Text:SetText("|cFFFF0000" .. DeathKnight_Dark_Command_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Dark_Command_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Dark_Command_Name .. "?" .. "|r")

		end
 	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_DARK_COMMAND_ICON:Enable();
	else
		GoH_DEATHKNIGHT_DARK_COMMAND_ICON:Disable();
		DeathKnight_Dark_Command_Text:SetText("|cFF888888" .. DeathKnight_Dark_Command_Name .. " disabled.|r");
	end

        -- ###################################################################################################
        -- ###################################################################################################
		--    BLOOD BOIL
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_BLOOD_BOIL_ICON:SetHighlightTexture(DeathKnight_Blood_Boil_Icon);
		GoH_DEATHKNIGHT_BLOOD_BOIL_ICON:SetPushedTexture(DeathKnight_Blood_Boil_Icon);
		GoH_DEATHKNIGHT_BLOOD_BOIL_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Blood_Boil == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_BLOOD_BOIL_ICON:SetNormalTexture(DeathKnight_Blood_Boil_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Blood_Boil_Text:SetText("|cFF00AA00" .. DeathKnight_Blood_Boil_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Blood_Boil_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Blood_Boil_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_BLOOD_BOIL_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Blood_Boil_Text:SetText("|cFFFF0000" .. DeathKnight_Blood_Boil_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Blood_Boil_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Blood_Boil_Name .. "?" .. "|r")

		end
 	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_BLOOD_BOIL_ICON:Enable();
	else
		GoH_DEATHKNIGHT_BLOOD_BOIL_ICON:Disable();
		DeathKnight_Blood_Boil_Text:SetText("|cFF888888" .. DeathKnight_Blood_Boil_Name .. " disabled.|r");
	end

        -- ###################################################################################################
        -- ###################################################################################################
		--   UNHOLY FRENZY
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_UNHOLY_FRENZY_ICON:SetHighlightTexture(DeathKnight_Unholy_Frenzy_Icon);
		GoH_DEATHKNIGHT_UNHOLY_FRENZY_ICON:SetPushedTexture(DeathKnight_Unholy_Frenzy_Icon);
		GoH_DEATHKNIGHT_UNHOLY_FRENZY_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Unholy_Frenzy == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_UNHOLY_FRENZY_ICON:SetNormalTexture(DeathKnight_Unholy_Frenzy_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Unholy_Frenzy_Text:SetText("|cFF00AA00" .. DeathKnight_Unholy_Frenzy_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Unholy_Frenzy_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Unholy_Frenzy_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_UNHOLY_FRENZY_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Unholy_Frenzy_Text:SetText("|cFFFF0000" .. DeathKnight_Unholy_Frenzy_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Unholy_Frenzy_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Unholy_Frenzy_Name .. "?" .. "|r")

		end
 	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_UNHOLY_FRENZY_ICON:Enable();
	else
		GoH_DEATHKNIGHT_UNHOLY_FRENZY_ICON:Disable();
		DeathKnight_Unholy_Frenzy_Text:SetText("|cFF888888" .. DeathKnight_Unholy_Frenzy_Name .. " disabled.|r");
	end

        -- ###################################################################################################
        -- ###################################################################################################
		--  MIND FREEZE
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_MIND_FREEZE_ICON:SetHighlightTexture(DeathKnight_Mind_Freeze_Icon);
		GoH_DEATHKNIGHT_MIND_FREEZE_ICON:SetPushedTexture(DeathKnight_Mind_Freeze_Icon);
		GoH_DEATHKNIGHT_MIND_FREEZE_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Mind_Freeze == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_MIND_FREEZE_ICON:SetNormalTexture(DeathKnight_Mind_Freeze_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Mind_Freeze_Text:SetText("|cFF00AA00" .. DeathKnight_Mind_Freeze_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Mind_Freeze_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Mind_Freeze_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_MIND_FREEZE_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Mind_Freeze_Text:SetText("|cFFFF0000" .. DeathKnight_Mind_Freeze_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Mind_Freeze_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Mind_Freeze_Name .. "?" .. "|r")

		end
 	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_MIND_FREEZE_ICON:Enable();
	else
		GoH_DEATHKNIGHT_MIND_FREEZE_ICON:Disable();
		DeathKnight_Mind_Freeze_Text:SetText("|cFF888888" .. DeathKnight_Mind_Freeze_Name .. " disabled.|r");
	end

       -- ###################################################################################################
        -- ###################################################################################################
		-- STRANGULATE
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_STRANGULATE_ICON:SetHighlightTexture(DeathKnight_Strangulate_Icon);
		GoH_DEATHKNIGHT_STRANGULATE_ICON:SetPushedTexture(DeathKnight_Strangulate_Icon);
		GoH_DEATHKNIGHT_STRANGULATE_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Strangulate == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_STRANGULATE_ICON:SetNormalTexture(DeathKnight_Strangulate_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Strangulate_Text:SetText("|cFF00AA00" .. DeathKnight_Strangulate_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Strangulate_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Strangulate_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_STRANGULATE_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Strangulate_Text:SetText("|cFFFF0000" .. DeathKnight_Strangulate_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Strangulate_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Strangulate_Name .. "?" .. "|r")

		end
	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_STRANGULATE_ICON:Enable();
	else
		GoH_DEATHKNIGHT_STRANGULATE_ICON:Disable();
		DeathKnight_Strangulate_Text:SetText("|cFF888888" .. DeathKnight_Strangulate_Name .. " disabled.|r");
	end

	-- ###################################################################################################
	-- ###################################################################################################
	-- DARK TRANSFORMATION
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_DARK_TRANSFORMATION_ICON:SetHighlightTexture(DeathKnight_Dark_Transformation_Icon);
	GoH_DEATHKNIGHT_DARK_TRANSFORMATION_ICON:SetPushedTexture(DeathKnight_Dark_Transformation_Icon);
	GoH_DEATHKNIGHT_DARK_TRANSFORMATION_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Dark_Transformation == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_DARK_TRANSFORMATION_ICON:SetNormalTexture(DeathKnight_Dark_Transformation_Icon);
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_Dark_Transformation_Text:SetText("|cFF00AA00" .. DeathKnight_Dark_Transformation_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Dark_Transformation_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Dark_Transformation_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_DARK_TRANSFORMATION_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_Dark_Transformation_Text:SetText("|cFFFF0000" .. DeathKnight_Dark_Transformation_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Dark_Transformation_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Dark_Transformation_Name .. "?" .. "|r")

	end
	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_DARK_TRANSFORMATION_ICON:Enable();
	else
		GoH_DEATHKNIGHT_DARK_TRANSFORMATION_ICON:Disable();
		DeathKnight_Dark_Transformation_Text:SetText("|cFF888888" .. DeathKnight_Dark_Transformation_Name .. " disabled.|r");
	end

	-- ###################################################################################################
	-- ###################################################################################################
	-- DEATH PACT
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_DEATH_PACT_ICON:SetHighlightTexture(DeathKnight_Death_Pact_Icon);
	GoH_DEATHKNIGHT_DEATH_PACT_ICON:SetPushedTexture(DeathKnight_Death_Pact_Icon);
	GoH_DEATHKNIGHT_DEATH_PACT_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Death_Pact == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_DEATH_PACT_ICON:SetNormalTexture(DeathKnight_Death_Pact_Icon);
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_Death_Pact_Text:SetText("|cFF00AA00" .. DeathKnight_Death_Pact_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Death_Pact_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Death_Pact_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_DEATH_PACT_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_Death_Pact_Text:SetText("|cFFFF0000" .. DeathKnight_Death_Pact_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Death_Pact_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Death_Pact_Name .. "?" .. "|r")

	end
	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_DEATH_PACT_ICON:Enable();
	else
		GoH_DEATHKNIGHT_DEATH_PACT_ICON:Disable();
		DeathKnight_Death_Pact_Text:SetText("|cFF888888" .. DeathKnight_Death_Pact_Name .. " disabled.|r");
	end

	-- ###################################################################################################
	-- ###################################################################################################
	-- SUMMON GARGOYLE
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_SUMMON_GARGOYLE_ICON:SetHighlightTexture(DeathKnight_Summon_Gargoyle_Icon);
	GoH_DEATHKNIGHT_SUMMON_GARGOYLE_ICON:SetPushedTexture(DeathKnight_Summon_Gargoyle_Icon);
	GoH_DEATHKNIGHT_SUMMON_GARGOYLE_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Summon_Gargoyle == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_SUMMON_GARGOYLE_ICON:SetNormalTexture(DeathKnight_Summon_Gargoyle_Icon);
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_Summon_Gargoyle_Text:SetText("|cFF00AA00" .. DeathKnight_Summon_Gargoyle_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Summon_Gargoyle_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Summon_Gargoyle_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_SUMMON_GARGOYLE_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_Summon_Gargoyle_Text:SetText("|cFFFF0000" .. DeathKnight_Summon_Gargoyle_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Summon_Gargoyle_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Summon_Gargoyle_Name .. "?" .. "|r")

	end
	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_SUMMON_GARGOYLE_ICON:Enable();
	else
		GoH_DEATHKNIGHT_SUMMON_GARGOYLE_ICON:Disable();
		DeathKnight_Summon_Gargoyle_Text:SetText("|cFF888888" .. DeathKnight_Summon_Gargoyle_Name .. " disabled.|r");
	end

	-- ###################################################################################################
	-- ###################################################################################################
	-- ARMY OF THE DEAD
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_ARMY_OF_THE_DEAD_ICON:SetHighlightTexture(DeathKnight_Army_of_the_Dead_Icon);
	GoH_DEATHKNIGHT_ARMY_OF_THE_DEAD_ICON:SetPushedTexture(DeathKnight_Army_of_the_Dead_Icon);
	GoH_DEATHKNIGHT_ARMY_OF_THE_DEAD_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Army_of_the_Dead == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_ARMY_OF_THE_DEAD_ICON:SetNormalTexture(DeathKnight_Army_of_the_Dead_Icon);
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_Army_of_the_Dead_Text:SetText("|cFF00AA00" .. DeathKnight_Army_of_the_Dead_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Army_of_the_Dead_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Army_of_the_Dead_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_ARMY_OF_THE_DEAD_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_Army_of_the_Dead_Text:SetText("|cFFFF0000" .. DeathKnight_Army_of_the_Dead_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Army_of_the_Dead_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Army_of_the_Dead_Name .. "?" .. "|r")

	end
	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_ARMY_OF_THE_DEAD_ICON:Enable();
	else
		GoH_DEATHKNIGHT_ARMY_OF_THE_DEAD_ICON:Disable();
		DeathKnight_Army_of_the_Dead_Text:SetText("|cFF888888" .. DeathKnight_Army_of_the_Dead_Name .. " disabled.|r");
	end

	-- ###################################################################################################
	-- ###################################################################################################
	-- RAISE DEAD
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_RAISE_DEAD_ICON:SetHighlightTexture(DeathKnight_Raise_Dead_Icon);
	GoH_DEATHKNIGHT_RAISE_DEAD_ICON:SetPushedTexture(DeathKnight_Raise_Dead_Icon);
	GoH_DEATHKNIGHT_RAISE_DEAD_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Raise_Dead == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_RAISE_DEAD_ICON:SetNormalTexture(DeathKnight_Raise_Dead_Icon);
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_Raise_Dead_Text:SetText("|cFF00AA00" .. DeathKnight_Raise_Dead_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Raise_Dead_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Raise_Dead_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_RAISE_DEAD_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_Raise_Dead_Text:SetText("|cFFFF0000" .. DeathKnight_Raise_Dead_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Raise_Dead_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Raise_Dead_Name .. "?" .. "|r")

	end
	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_RAISE_DEAD_ICON:Enable();
	else
		GoH_DEATHKNIGHT_RAISE_DEAD_ICON:Disable();
		DeathKnight_Raise_Dead_Text:SetText("|cFF888888" .. DeathKnight_Raise_Dead_Name .. " disabled.|r");
	end

	-- ###################################################################################################
	-- ###################################################################################################
	-- RAISE ALLY
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_RAISE_ALLY_ICON:SetHighlightTexture(DeathKnight_Raise_Ally_Icon);
	GoH_DEATHKNIGHT_RAISE_ALLY_ICON:SetPushedTexture(DeathKnight_Raise_Ally_Icon);
	GoH_DEATHKNIGHT_RAISE_ALLY_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Raise_Ally == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_RAISE_ALLY_ICON:SetNormalTexture(DeathKnight_Raise_Ally_Icon);
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_Raise_Ally_Text:SetText("|cFF00AA00" .. DeathKnight_Raise_Ally_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Raise_Ally_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Raise_Ally_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_RAISE_ALLY_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_Raise_Ally_Text:SetText("|cFFFF0000" .. DeathKnight_Raise_Ally_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Raise_Ally_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Raise_Ally_Name .. "?" .. "|r")

	end
	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_RAISE_ALLY_ICON:Enable();
	else
		GoH_DEATHKNIGHT_RAISE_ALLY_ICON:Disable();
		DeathKnight_Raise_Ally_Text:SetText("|cFF888888" .. DeathKnight_Raise_Ally_Name .. " disabled.|r");
	end

	-- ###################################################################################################
	-- ###################################################################################################
	-- ANTIMAGIC ZONE
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_ANTIMAGIC_ZONE_ICON:SetHighlightTexture(DeathKnight_Anti_Magic_Zone_Icon);
	GoH_DEATHKNIGHT_ANTIMAGIC_ZONE_ICON:SetPushedTexture(DeathKnight_Anti_Magic_Zone_Icon);
	GoH_DEATHKNIGHT_ANTIMAGIC_ZONE_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.AntiMagic_Zone == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_ANTIMAGIC_ZONE_ICON:SetNormalTexture(DeathKnight_Anti_Magic_Zone_Icon);
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_AntiMagic_Zone_Text:SetText("|cFF00AA00" .. DeathKnight_Anti_Magic_Zone_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_AntiMagic_Zone_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Anti_Magic_Zone_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_ANTIMAGIC_ZONE_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_AntiMagic_Zone_Text:SetText("|cFFFF0000" .. DeathKnight_Anti_Magic_Zone_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_AntiMagic_Zone_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Anti_Magic_Zone_Name .. "?" .. "|r")

	end
	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_ANTIMAGIC_ZONE_ICON:Enable();
	else
		GoH_DEATHKNIGHT_ANTIMAGIC_ZONE_ICON:Disable();
		DeathKnight_AntiMagic_Zone_Text:SetText("|cFF888888" .. DeathKnight_Anti_Magic_Zone_Name .. " disabled.|r");
	end

	-- ###################################################################################################
	-- ###################################################################################################
	-- ANTIMAGIC SHELL
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_ANTIMAGIC_SHELL_ICON:SetHighlightTexture(DeathKnight_Anti_Magic_Shell_Icon);
	GoH_DEATHKNIGHT_ANTIMAGIC_SHELL_ICON:SetPushedTexture(DeathKnight_Anti_Magic_Shell_Icon);
	GoH_DEATHKNIGHT_ANTIMAGIC_SHELL_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.AntiMagic_Shell == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_ANTIMAGIC_SHELL_ICON:SetNormalTexture(DeathKnight_Anti_Magic_Shell_Icon);
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_AntiMagic_Shell_Text:SetText("|cFF00AA00" .. DeathKnight_Anti_Magic_Shell_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_AntiMagic_Shell_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Anti_Magic_Shell_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_ANTIMAGIC_SHELL_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_AntiMagic_Shell_Text:SetText("|cFFFF0000" .. DeathKnight_Anti_Magic_Shell_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_AntiMagic_Shell_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Anti_Magic_Shell_Name .. "?" .. "|r")

	end
	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_ANTIMAGIC_SHELL_ICON:Enable();
	else
		GoH_DEATHKNIGHT_ANTIMAGIC_SHELL_ICON:Disable();
		DeathKnight_AntiMagic_Shell_Text:SetText("|cFF888888" .. DeathKnight_Anti_Magic_Shell_Name .. " disabled.|r");
	end

	-- ###################################################################################################
	-- ###################################################################################################
	-- UNHOLY PRESENCE
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_UNHOLY_PRESENCE_ICON:SetHighlightTexture(DeathKnight_Unholy_Presence_Icon);
	GoH_DEATHKNIGHT_UNHOLY_PRESENCE_ICON:SetPushedTexture(DeathKnight_Unholy_Presence_Icon);
	GoH_DEATHKNIGHT_UNHOLY_PRESENCE_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Unholy_Presence == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_UNHOLY_PRESENCE_ICON:SetNormalTexture(DeathKnight_Unholy_Presence_Icon);
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_Unholy_Presence_Text:SetText("|cFF00AA00" .. DeathKnight_Unholy_Presence_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Unholy_Presence_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Unholy_Presence_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_UNHOLY_PRESENCE_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_Unholy_Presence_Text:SetText("|cFFFF0000" .. DeathKnight_Unholy_Presence_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Unholy_Presence_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Unholy_Presence_Name .. "?" .. "|r")

	end
	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_UNHOLY_PRESENCE_ICON:Enable();
	else
		GoH_DEATHKNIGHT_UNHOLY_PRESENCE_ICON:Disable();
		DeathKnight_Unholy_Presence_Text:SetText("|cFF888888" .. DeathKnight_Unholy_Presence_Name .. " disabled.|r");
	end

	-- ###################################################################################################
	-- ###################################################################################################
	-- FROST PRESENCE
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_FROST_PRESENCE_ICON:SetHighlightTexture(DeathKnight_Frost_Presence_Icon);
	GoH_DEATHKNIGHT_FROST_PRESENCE_ICON:SetPushedTexture(DeathKnight_Frost_Presence_Icon);
	GoH_DEATHKNIGHT_FROST_PRESENCE_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Frost_Presence == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_FROST_PRESENCE_ICON:SetNormalTexture(DeathKnight_Frost_Presence_Icon);
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_Frost_Presence_Text:SetText("|cFF00AA00" .. DeathKnight_Frost_Presence_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Frost_Presence_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Frost_Presence_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_FROST_PRESENCE_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_Frost_Presence_Text:SetText("|cFFFF0000" .. DeathKnight_Frost_Presence_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Frost_Presence_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Frost_Presence_Name .. "?" .. "|r")

	end
	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_FROST_PRESENCE_ICON:Enable();
	else
		GoH_DEATHKNIGHT_FROST_PRESENCE_ICON:Disable();
		DeathKnight_Frost_Presence_Text:SetText("|cFF888888" .. DeathKnight_Frost_Presence_Name .. " disabled.|r");
	end

	-- ###################################################################################################
	-- ###################################################################################################
	-- BLOOD PRESENCE
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_BLOOD_PRESENCE_ICON:SetHighlightTexture(DeathKnight_Blood_Presence_Icon);
	GoH_DEATHKNIGHT_BLOOD_PRESENCE_ICON:SetPushedTexture(DeathKnight_Blood_Presence_Icon);
	GoH_DEATHKNIGHT_BLOOD_PRESENCE_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Blood_Presence == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_BLOOD_PRESENCE_ICON:SetNormalTexture(DeathKnight_Blood_Presence_Icon);
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_Blood_Presence_Text:SetText("|cFF00AA00" .. DeathKnight_Blood_Presence_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Blood_Presence_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Blood_Presence_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_BLOOD_PRESENCE_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_Blood_Presence_Text:SetText("|cFFFF0000" .. DeathKnight_Blood_Presence_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Blood_Presence_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Blood_Presence_Name .. "?" .. "|r")

	end
	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_BLOOD_PRESENCE_ICON:Enable();
	else
		GoH_DEATHKNIGHT_BLOOD_PRESENCE_ICON:Disable();
		DeathKnight_Blood_Presence_Text:SetText("|cFF888888" .. DeathKnight_Blood_Presence_Name .. " disabled.|r");
	end

	-- ###################################################################################################
	-- ###################################################################################################
	-- ICEBOUND FORTITUDE
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_ICEBOUND_FORTITUDE_ICON:SetHighlightTexture(DeathKnight_Icebound_Fortitude_Icon);
	GoH_DEATHKNIGHT_ICEBOUND_FORTITUDE_ICON:SetPushedTexture(DeathKnight_Icebound_Fortitude_Icon);
	GoH_DEATHKNIGHT_ICEBOUND_FORTITUDE_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Icebound_Fortitude == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_ICEBOUND_FORTITUDE_ICON:SetNormalTexture(DeathKnight_Icebound_Fortitude_Icon);
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_Icebound_Fortitude_Text:SetText("|cFF00AA00" .. DeathKnight_Icebound_Fortitude_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Icebound_Fortitude_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Icebound_Fortitude_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_ICEBOUND_FORTITUDE_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_Icebound_Fortitude_Text:SetText("|cFFFF0000" .. DeathKnight_Icebound_Fortitude_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Icebound_Fortitude_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Icebound_Fortitude_Name .. "?" .. "|r")

	end
	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_ICEBOUND_FORTITUDE_ICON:Enable();
	else
		GoH_DEATHKNIGHT_ICEBOUND_FORTITUDE_ICON:Disable();
		DeathKnight_Icebound_Fortitude_Text:SetText("|cFF888888" .. DeathKnight_Icebound_Fortitude_Name .. " disabled.|r");
	end

	-- ###################################################################################################
	-- ###################################################################################################
	-- EMPOWER RUNE WEAPON
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_EMPOWER_RUNE_WEAPON_ICON:SetHighlightTexture(DeathKnight_Empower_Rune_Weapon_Icon);
	GoH_DEATHKNIGHT_EMPOWER_RUNE_WEAPON_ICON:SetPushedTexture(DeathKnight_Empower_Rune_Weapon_Icon);
	GoH_DEATHKNIGHT_EMPOWER_RUNE_WEAPON_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Empower_Rune_Weapon == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_EMPOWER_RUNE_WEAPON_ICON:SetNormalTexture(DeathKnight_Empower_Rune_Weapon_Icon);
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_Empower_Rune_Weapon_Text:SetText("|cFF00AA00" .. DeathKnight_Empower_Rune_Weapon_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Empower_Rune_Weapon_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Empower_Rune_Weapon_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_EMPOWER_RUNE_WEAPON_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_Empower_Rune_Weapon_Text:SetText("|cFFFF0000" .. DeathKnight_Empower_Rune_Weapon_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Empower_Rune_Weapon_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Empower_Rune_Weapon_Name .. "?" .. "|r")

	end
	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_EMPOWER_RUNE_WEAPON_ICON:Enable();
	else
		GoH_DEATHKNIGHT_EMPOWER_RUNE_WEAPON_ICON:Disable();
		DeathKnight_Empower_Rune_Weapon_Text:SetText("|cFF888888" .. DeathKnight_Empower_Rune_Weapon_Name .. " disabled.|r");
	end

	-- ###################################################################################################
	-- ###################################################################################################
	-- DEATH COIL
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_DEATH_COIL_ICON:SetHighlightTexture(DeathKnight_Death_Coil_Icon);
	GoH_DEATHKNIGHT_DEATH_COIL_ICON:SetPushedTexture(DeathKnight_Death_Coil_Icon);
	GoH_DEATHKNIGHT_DEATH_COIL_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Death_Coil == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_DEATH_COIL_ICON:SetNormalTexture(DeathKnight_Death_Coil_Icon);
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_Death_Coil_Text:SetText("|cFF00AA00" .. DeathKnight_Death_Coil_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Death_Coil_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Death_Coil_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_DEATH_COIL_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_Death_Coil_Text:SetText("|cFFFF0000" .. DeathKnight_Death_Coil_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Death_Coil_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Death_Coil_Name .. "?" .. "|r")

	end
	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_DEATH_COIL_ICON:Enable();
	else
		GoH_DEATHKNIGHT_DEATH_COIL_ICON:Disable();
		DeathKnight_Death_Coil_Text:SetText("|cFF888888" .. DeathKnight_Death_Coil_Name .. " disabled.|r");
	end

	-- ###################################################################################################
	-- ###################################################################################################
	-- BLOOD TAP
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_BLOOD_TAP_ICON:SetHighlightTexture(DeathKnight_Blood_Tap_Icon);
	GoH_DEATHKNIGHT_BLOOD_TAP_ICON:SetPushedTexture(DeathKnight_Blood_Tap_Icon);
	GoH_DEATHKNIGHT_BLOOD_TAP_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Blood_Tap == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_BLOOD_TAP_ICON:SetNormalTexture(DeathKnight_Blood_Tap_Icon);
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_Blood_Tap_Text:SetText("|cFF00AA00" .. DeathKnight_Blood_Tap_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Blood_Tap_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Blood_Tap_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_BLOOD_TAP_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_Blood_Tap_Text:SetText("|cFFFF0000" .. DeathKnight_Blood_Tap_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Blood_Tap_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Blood_Tap_Name .. "?" .. "|r")

	end
	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_BLOOD_TAP_ICON:Enable();
	else
		GoH_DEATHKNIGHT_BLOOD_TAP_ICON:Disable();
		DeathKnight_Blood_Tap_Text:SetText("|cFF888888" .. DeathKnight_Blood_Tap_Name .. " disabled.|r");
	end

	-- ###################################################################################################
	-- ###################################################################################################
	-- OUTBREAK
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_OUTBREAK_ICON:SetHighlightTexture(DeathKnight_Outbreak_Icon);
	GoH_DEATHKNIGHT_OUTBREAK_ICON:SetPushedTexture(DeathKnight_Outbreak_Icon);
	GoH_DEATHKNIGHT_OUTBREAK_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Outbreak == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_OUTBREAK_ICON:SetNormalTexture(DeathKnight_Outbreak_Icon);
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_Outbreak_Text:SetText("|cFF00AA00" .. DeathKnight_Outbreak_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Outbreak_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Outbreak_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_OUTBREAK_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_Outbreak_Text:SetText("|cFFFF0000" .. DeathKnight_Outbreak_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Outbreak_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Outbreak_Name .. "?" .. "|r")

	end
	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_OUTBREAK_ICON:Enable();
	else
		GoH_DEATHKNIGHT_OUTBREAK_ICON:Disable();
		DeathKnight_Outbreak_Text:SetText("|cFF888888" .. DeathKnight_Outbreak_Name .. " disabled.|r");
	end

	-- ###################################################################################################
	-- ###################################################################################################
	-- PESTILENCE
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_PESTILENCE_ICON:SetHighlightTexture(DeathKnight_Pestilence_Icon);
	GoH_DEATHKNIGHT_PESTILENCE_ICON:SetPushedTexture(DeathKnight_Pestilence_Icon);
	GoH_DEATHKNIGHT_PESTILENCE_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Pestilence == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_PESTILENCE_ICON:SetNormalTexture(DeathKnight_Pestilence_Icon);
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_Pestilence_Text:SetText("|cFF00AA00" .. DeathKnight_Pestilence_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Pestilence_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Pestilence_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_PESTILENCE_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_Pestilence_Text:SetText("|cFFFF0000" .. DeathKnight_Pestilence_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Pestilence_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Pestilence_Name .. "?" .. "|r")

	end
	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_PESTILENCE_ICON:Enable();
	else
		GoH_DEATHKNIGHT_PESTILENCE_ICON:Disable();
		DeathKnight_Pestilence_Text:SetText("|cFF888888" .. DeathKnight_Pestilence_Name .. " disabled.|r");
	end

	-- ###################################################################################################
	-- ###################################################################################################
	-- DEATH AND DECAY
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_DEATH_AND_DECAY_ICON:SetHighlightTexture(DeathKnight_Death_and_Decay_Icon);
	GoH_DEATHKNIGHT_DEATH_AND_DECAY_ICON:SetPushedTexture(DeathKnight_Death_and_Decay_Icon);
	GoH_DEATHKNIGHT_DEATH_AND_DECAY_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Death_and_Decay == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_DEATH_AND_DECAY_ICON:SetNormalTexture(DeathKnight_Death_and_Decay_Icon);
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_Death_and_Decay_Text:SetText("|cFF00AA00" .. DeathKnight_Death_and_Decay_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Death_and_Decay_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Death_and_Decay_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_DEATH_AND_DECAY_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_Death_and_Decay_Text:SetText("|cFFFF0000" .. DeathKnight_Death_and_Decay_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Death_and_Decay_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Death_and_Decay_Name .. "?" .. "|r")

	end
	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_DEATH_AND_DECAY_ICON:Enable();
	else
		GoH_DEATHKNIGHT_DEATH_AND_DECAY_ICON:Disable();
		DeathKnight_Death_and_Decay_Text:SetText("|cFF888888" .. DeathKnight_Death_and_Decay_Name .. " disabled.|r");
	end

	-- ###################################################################################################
	-- ###################################################################################################
	-- HORN OF WINTER
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_HORN_OF_WINTER_ICON:SetHighlightTexture(DeathKnight_Horn_of_Winter_Icon);
	GoH_DEATHKNIGHT_HORN_OF_WINTER_ICON:SetPushedTexture(DeathKnight_Horn_of_Winter_Icon);
	GoH_DEATHKNIGHT_HORN_OF_WINTER_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Horn_of_Winter == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_HORN_OF_WINTER_ICON:SetNormalTexture(DeathKnight_Horn_of_Winter_Icon);
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_Horn_of_Winter_Text:SetText("|cFF00AA00" .. DeathKnight_Horn_of_Winter_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Horn_of_Winter_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Horn_of_Winter_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_HORN_OF_WINTER_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_Horn_of_Winter_Text:SetText("|cFFFF0000" .. DeathKnight_Horn_of_Winter_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Horn_of_Winter_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Horn_of_Winter_Name .. "?" .. "|r")

	end
	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_HORN_OF_WINTER_ICON:Enable();
	else
		GoH_DEATHKNIGHT_HORN_OF_WINTER_ICON:Disable();
		DeathKnight_Horn_of_Winter_Text:SetText("|cFF888888" .. DeathKnight_Horn_of_Winter_Name .. " disabled.|r");
	end

	-- ###################################################################################################
	-- ###################################################################################################
	-- DEATH GRIP
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_DEATH_GRIP_ICON:SetHighlightTexture(DeathKnight_Death_Grip_Icon);
	GoH_DEATHKNIGHT_DEATH_GRIP_ICON:SetPushedTexture(DeathKnight_Death_Grip_Icon);
	GoH_DEATHKNIGHT_DEATH_GRIP_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Death_Grip == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_DEATH_GRIP_ICON:SetNormalTexture(DeathKnight_Death_Grip_Icon);
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_Death_Grip_Text:SetText("|cFF00AA00" .. DeathKnight_Death_Grip_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Death_Grip_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Death_Grip_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_DEATH_GRIP_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_Death_Grip_Text:SetText("|cFFFF0000" .. DeathKnight_Death_Grip_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Death_Grip_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Death_Grip_Name .. "?" .. "|r")

	end
	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_DEATH_GRIP_ICON:Enable();
	else
		GoH_DEATHKNIGHT_DEATH_GRIP_ICON:Disable();
		DeathKnight_Death_Grip_Text:SetText("|cFF888888" .. DeathKnight_Death_Grip_Name .. " disabled.|r");
	end

	-- ###################################################################################################
	-- ###################################################################################################
	-- PLAY LOGIN SOUND
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_PLAY_LOGIN_SOUND:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEATHKNIGHT_PLAY_LOGIN_SOUND:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEATHKNIGHT_PLAY_LOGIN_SOUND:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Stupid_Login_Sound == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_PLAY_LOGIN_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_Play_Login_Sound_Text:SetText("|cFF00AA00Play 'Login' Sound|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_PLAY_LOGIN_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_Play_Login_Sound_Text:SetText("|cFFFF0000Play 'Login' Sound|r");

	end
	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_PLAY_LOGIN_SOUND:Enable();
	else
		GoH_DEATHKNIGHT_PLAY_LOGIN_SOUND:Disable();
		DeathKnight_Play_Login_Sound_Text:SetText("|cFF888888Play 'Login' Sound|r");
	end

	-- ###################################################################################################
	-- ###################################################################################################
	-- GOT BLOOD PRESENCE REMINDER
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_BLOOD_PRESENCE_REMINDER_SOUND:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEATHKNIGHT_BLOOD_PRESENCE_REMINDER_SOUND:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEATHKNIGHT_BLOOD_PRESENCE_REMINDER_SOUND:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Blood_Presence_Reminder == "YES") then
		GoH_DEATHKNIGHT_BLOOD_PRESENCE_REMINDER_SOUND:Enable();
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_BLOOD_PRESENCE_REMINDER_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_Blood_Presence_Reminder_Text:SetText("|cFF00AA00Got Blood?|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_BLOOD_PRESENCE_REMINDER_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_Blood_Presence_Reminder_Text:SetText("|cFFFF0000Got Blood?|r");

	end

	-- ###################################################################################################
	-- ###################################################################################################
	-- ENABLE DISABLE DEATHKNIGHT PLAYER FRAMES
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_PLAYER_FRAMES_ENABLED:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEATHKNIGHT_PLAYER_FRAMES_ENABLED:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEATHKNIGHT_PLAYER_FRAMES_ENABLED:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Enable_Player_Frames == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_PLAYER_FRAMES_ENABLED:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_Player_Frames_Enable_Text:SetText("|cFF00AA00Enable Player Frames?|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_PLAYER_FRAMES_ENABLED:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_Player_Frames_Enable_Text:SetText("|cFFFF0000Enable Player Frames?|r");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- SHOW DEATHKNIGHT PLAYER FRAMES
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_PLAYER_FRAMES_SHOWN:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEATHKNIGHT_PLAYER_FRAMES_SHOWN:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEATHKNIGHT_PLAYER_FRAMES_SHOWN:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Show_Player_Frames == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_PLAYER_FRAMES_SHOWN:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_Player_Frames_Shown_Text:SetText("|cFF00AA00Show Player Frames?|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_PLAYER_FRAMES_SHOWN:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_Player_Frames_Shown_Text:SetText("|cFFFF0000Show Player Frames?|r");

	end
	if (GoHv5_DeathKnight_Data.config.Enable_Player_Frames == "NO") then
		GoH_DEATHKNIGHT_PLAYER_FRAMES_SHOWN:Disable();
		DeathKnight_Player_Frames_Shown_Text:SetText("|cFF888888Show Player Frames?|r");
	else
		GoH_DEATHKNIGHT_PLAYER_FRAMES_SHOWN:Enable();
	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- SHOW DEATHKNIGHT PLAYER FRAMES WHEN IN RAIDS
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_PLAYER_FRAMES_RAIDS:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEATHKNIGHT_PLAYER_FRAMES_RAIDS:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEATHKNIGHT_PLAYER_FRAMES_RAIDS:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Player_Frame_In_Raids == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_PLAYER_FRAMES_RAIDS:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_Player_Frames_Raids_Text:SetText("|cFF00AA00Show when in Raids?|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_PLAYER_FRAMES_RAIDS:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_Player_Frames_Raids_Text:SetText("|cFFFF0000Show when in Raids?|r");

	end
	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_PLAYER_FRAMES_ENABLED:Enable();
		GoH_DEATHKNIGHT_PLAYER_FRAMES_SHOWN:Enable();

		if (GoHv5_DeathKnight_Data.config.Enable_Player_Frames == "NO") then
			GoH_DEATHKNIGHT_PLAYER_FRAMES_RAIDS:Disable();
			DeathKnight_Player_Frames_Raids_Text:SetText("|cFF888888Show when in Raids?|r");
		else
			GoH_DEATHKNIGHT_PLAYER_FRAMES_RAIDS:Enable();
		end
	else
		GoH_DEATHKNIGHT_PLAYER_FRAMES_ENABLED:Disable();
		GoH_DEATHKNIGHT_PLAYER_FRAMES_SHOWN:Disable();
		GoH_DEATHKNIGHT_PLAYER_FRAMES_RAIDS:Disable();
		DeathKnight_Player_Frames_Enable_Text:SetText("|cFF888888Enable Player Frames?|r");
		DeathKnight_Player_Frames_Shown_Text:SetText("|cFF888888Show Player Frames?|r");
		DeathKnight_Player_Frames_Raids_Text:SetText("|cFF888888Show when in Raids?|r");
	end

	-- ###################################################################################################
	-- ###################################################################################################
	-- ENABLE DEATHKNIGHT ENDCAPS
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_ENABLE_ENDCAPS:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEATHKNIGHT_ENABLE_ENDCAPS:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEATHKNIGHT_ENABLE_ENDCAPS:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Enable_End_Caps == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_ENABLE_ENDCAPS:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_EndCaps_Enabled_Text:SetText("|cFF00AA00Enable End Caps?|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_ENABLE_ENDCAPS:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_EndCaps_Enabled_Text:SetText("|cFFFF0000Enable End Caps?|r");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- SHOW DEATHKNIGHT ENDCAPS
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_SHOW_ENDCAPS:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEATHKNIGHT_SHOW_ENDCAPS:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEATHKNIGHT_SHOW_ENDCAPS:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Show_End_Caps == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_SHOW_ENDCAPS:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_EndCaps_Shown_Text:SetText("|cFF00AA00Show End Caps?|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_SHOW_ENDCAPS:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_EndCaps_Shown_Text:SetText("|cFFFF0000Show End Caps?|r");

	end
	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
		GoH_DEATHKNIGHT_ENABLE_ENDCAPS:Enable();

		if (GoHv5_DeathKnight_Data.config.Enable_End_Caps == "NO") then
			GoH_DEATHKNIGHT_SHOW_ENDCAPS:Disable();
			DeathKnight_EndCaps_Shown_Text:SetText("|cFF888888Show End Caps?|r");
		else
			GoH_DEATHKNIGHT_SHOW_ENDCAPS:Enable();
		end
	else
		GoH_DEATHKNIGHT_ENABLE_ENDCAPS:Disable();
		GoH_DEATHKNIGHT_SHOW_ENDCAPS:Disable();
		DeathKnight_EndCaps_Enabled_Text:SetText("|cFF888888Enable End Caps?|r");
		DeathKnight_EndCaps_Shown_Text:SetText("|cFF888888Show End Caps?|r");
	end
	if (GoH_DeathKnight.Class == "DEATHKNIGHT") and (GoHv5_DeathKnight_Data.config.Current_Spec == "Blood") then
		GoH_DEATHKNIGHT_BLOOD_PRESENCE_REMINDER_SOUND:Enable();
	else
		GoH_DEATHKNIGHT_BLOOD_PRESENCE_REMINDER_SOUND:Disable();
		DeathKnight_Blood_Presence_Reminder_Text:SetText("|cFF888888Not a DK Tank.|r");
	end

	-- ###################################################################################################

	if GoHv5_DeathKnight_Data.config.Use_MK_Font == nil then
		GoHv5_DeathKnight_Data.config.Use_MK_Font = "NO";
	end

	if GoHv5_DeathKnight_Data.config.Use_MK_Font == "YES" then
   		       UIErrorsFrame:SetFont("Interface\\AddOns\\GoH\\Font\\AKIRA__.ttf", 25, "OUTLINE")
	else
   		       -- UIErrorsFrame:SetFont("Fonts\\FRIZQT__.ttf", 16)
	end

end



function GoH_DeathKnight_Set_DeathCharger_Button_Images()

        -- ###################################################################################################
		--     ACHERUS DEATHCHARGER SOUND
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_DEATH_CHARGER_SOUND_BUTTON_ICON:SetHighlightTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Sound_HOVER");
		GoH_DEATHKNIGHT_DEATH_CHARGER_SOUND_BUTTON_ICON:SetPushedTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Sound_HOVER");
		GoH_DEATHKNIGHT_DEATH_CHARGER_SOUND_BUTTON_ICON:SetDisabledTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Sound_OFF");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Acherus_Deathcharger == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_DEATH_CHARGER_SOUND_BUTTON_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Sound_ON");
			-- MODIFY THE TOOLTIP
			DeathKnight_Acherus_Deathcharger_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Acherus_Deathcharger_Name .. " summoning sound?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_DEATH_CHARGER_SOUND_BUTTON_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Sound_OFF");
			-- MODIFY THE TOOLTIP
			DeathKnight_Acherus_Deathcharger_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Acherus_Deathcharger_Name .. " summoning sound?" .. "|r")

		end
        -- ###################################################################################################
        -- ###################################################################################################
		--     ACHERUS DEATHCHARGER NAME
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_DEATH_CHARGER_NAME_BUTTON_ICON:SetHighlightTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_MountName_DeathKnightLand_HOVER");
		GoH_DEATHKNIGHT_DEATH_CHARGER_NAME_BUTTON_ICON:SetPushedTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_MountName_DeathKnightLand_HOVER");
		GoH_DEATHKNIGHT_DEATH_CHARGER_NAME_BUTTON_ICON:SetDisabledTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_MountName_DeathKnightLand_OFF");

 	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then

		GoH_DEATHKNIGHT_DEATH_CHARGER_NAME_BUTTON_ICON:Enable();
		GoH_DEATHKNIGHT_DEATH_CHARGER_SOUND_BUTTON_ICON:Enable();


		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Acherus_Deathcharger_UseName == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_DEATH_CHARGER_NAME_BUTTON_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_MountName_DeathKnightLand_ON");
			-- MODIFY THE TOOLTIP
			DeathKnight_Acherus_Deathcharger_Name_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Acherus_Deathcharger_Name .. " summoning name?" .. "|r")

	    	GoH5_EditBox_DeathKnight_DeathCharger_MOUNT_NAME:Enable();
	    	GoH5_EditBox_DeathKnight_DeathCharger_MOUNT_NAME:SetTextColor(1.0, 1.0, 1.0);
	    	GoH5_EditBox_DeathKnight_DeathCharger_MOUNT_NAME:SetFocus();
	    	GoH5_EditBox_DeathKnight_DeathCharger_MOUNT_NAME:EnableKeyboard(true);
		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_DEATH_CHARGER_NAME_BUTTON_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_MountName_DeathKnightLand_OFF");
			-- MODIFY THE TOOLTIP
			DeathKnight_Acherus_Deathcharger_Name_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Acherus_Deathcharger_Name .. " summoning name?" .. "|r")

	    	GoH5_EditBox_DeathKnight_DeathCharger_MOUNT_NAME:ClearFocus();
	    	GoH5_EditBox_DeathKnight_DeathCharger_MOUNT_NAME:EnableKeyboard(false);
	    	GoH5_EditBox_DeathKnight_DeathCharger_MOUNT_NAME:SetTextColor(1.0, 0.0, 0.0);
	    	GoH5_EditBox_DeathKnight_DeathCharger_MOUNT_NAME:Disable();
		end

	else
			-- NOT A DEATHKNIHT - CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_DEATH_CHARGER_NAME_BUTTON_ICON:Disable();
			GoH_DEATHKNIGHT_DEATH_CHARGER_SOUND_BUTTON_ICON:Disable();

	    	GoH5_EditBox_DeathKnight_DeathCharger_MOUNT_NAME:ClearFocus();
	    	GoH5_EditBox_DeathKnight_DeathCharger_MOUNT_NAME:EnableKeyboard(false);
	    	GoH5_EditBox_DeathKnight_DeathCharger_MOUNT_NAME:SetTextColor(0.4, 0.4, 0.4);
	    	GoH5_EditBox_DeathKnight_DeathCharger_MOUNT_NAME:Disable();
	end

        -- ###################################################################################################

end

function GoH_DeathKnight_Set_Winged_Steed_Button_Images()

        -- ###################################################################################################
		--     WINGED STEED OF THE EBON BLADE SOUND
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_WINGED_STEED_SOUND_BUTTON_ICON:SetHighlightTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Sound_HOVER");
		GoH_DEATHKNIGHT_WINGED_STEED_SOUND_BUTTON_ICON:SetPushedTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Sound_HOVER");
		GoH_DEATHKNIGHT_WINGED_STEED_SOUND_BUTTON_ICON:SetDisabledTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Sound_OFF");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Winged_Steed_of_the_Ebon_Blade == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_WINGED_STEED_SOUND_BUTTON_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Sound_ON");
			-- MODIFY THE TOOLTIP
			DeathKnight_Winged_Steed_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Winged_Steed_Name .. " summoning sound?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_WINGED_STEED_SOUND_BUTTON_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Sound_OFF");
			-- MODIFY THE TOOLTIP
			DeathKnight_Winged_Steed_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Winged_Steed_Name .. " summoning sound?" .. "|r")

		end
        -- ###################################################################################################
        -- ###################################################################################################
		--     WINGED STEED NAME
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_WINGED_STEED_NAME_BUTTON_ICON:SetHighlightTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_MountName_DeathKnightSky_HOVER");
		GoH_DEATHKNIGHT_WINGED_STEED_NAME_BUTTON_ICON:SetPushedTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_MountName_DeathKnightSky_HOVER");
		GoH_DEATHKNIGHT_WINGED_STEED_NAME_BUTTON_ICON:SetDisabledTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_MountName_DeathKnightSky_OFF");

 	if (GoH_DeathKnight.Class == "DEATHKNIGHT") then

		GoH_DEATHKNIGHT_WINGED_STEED_NAME_BUTTON_ICON:Enable();
		GoH_DEATHKNIGHT_WINGED_STEED_SOUND_BUTTON_ICON:Enable();

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Winged_Steed_of_the_Ebon_Blade_UseName == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_WINGED_STEED_NAME_BUTTON_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_MountName_DeathKnightSky_ON");
			-- MODIFY THE TOOLTIP
			DeathKnight_Acherus_Winged_Steed_Name_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Winged_Steed_Name .. " summoning name?" .. "|r")

	    	GoH5_EditBox_DeathKnight_Winged_Steed_MOUNT_NAME:Enable();
	    	GoH5_EditBox_DeathKnight_Winged_Steed_MOUNT_NAME:SetTextColor(1.0, 1.0, 1.0);
	    	GoH5_EditBox_DeathKnight_Winged_Steed_MOUNT_NAME:SetFocus();
	    	GoH5_EditBox_DeathKnight_Winged_Steed_MOUNT_NAME:EnableKeyboard(true);
		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_WINGED_STEED_NAME_BUTTON_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_MountName_DeathKnightSky_OFF");
			-- MODIFY THE TOOLTIP
			DeathKnight_Acherus_Winged_Steed_Name_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Winged_Steed_Name .. " summoning name?" .. "|r")

	    	GoH5_EditBox_DeathKnight_Winged_Steed_MOUNT_NAME:ClearFocus();
	    	GoH5_EditBox_DeathKnight_Winged_Steed_MOUNT_NAME:EnableKeyboard(false);
	    	GoH5_EditBox_DeathKnight_Winged_Steed_MOUNT_NAME:SetTextColor(1.0, 0.0, 0.0);
	    	GoH5_EditBox_DeathKnight_Winged_Steed_MOUNT_NAME:Disable();
		end

	else
			-- NOT A DEATHKNIHT - CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_WINGED_STEED_NAME_BUTTON_ICON:Disable();
			GoH_DEATHKNIGHT_WINGED_STEED_SOUND_BUTTON_ICON:Disable();

	    	GoH5_EditBox_DeathKnight_Winged_Steed_MOUNT_NAME:ClearFocus();
	    	GoH5_EditBox_DeathKnight_Winged_Steed_MOUNT_NAME:EnableKeyboard(false);
	    	GoH5_EditBox_DeathKnight_Winged_Steed_MOUNT_NAME:SetTextColor(0.4, 0.4, 0.4);
	    	GoH5_EditBox_DeathKnight_Winged_Steed_MOUNT_NAME:Disable();
	end

       -- ###################################################################################################

end

