-- #######################################
-- #######################################
--       GOH DEATH KNIGHT SOUND FILES
-- #######################################
-- #######################################


-- DUEL YOU WIN
function Play_Duel_You_Win_Sound()

			-- DUEL YOU WIN SCREEN TEXT
			if GoHv5_DeathKnight_Data.config.Duel_Image == "YES" then
				Show_You_Win_Frame();
			end
			-- DUEL YOU WIN SOUND FILE
			PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Praises\\You_Win.mp3","Master");

end

-- DUEL YOU LOSE
function Play_Duel_You_Lose_Sound()

			-- DUEL YOU LOSE SCREEN TEXT
			if GoHv5_DeathKnight_Data.config.Duel_Image == "YES" then
				Show_You_Lose_Frame();
			end
			-- DUEL YOU LOSE SOUND FILE
			PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Praises\\You_Lose.mp3","Master");

end

-- FLAWLESS VICTORY
function Play_Flawless_Victory()

	GoH_DeathKnight.NumberRandom = math.random(3);

		-- USE RANDOM MATH GENERATED RESULT
		if (GoH_DeathKnight.NumberRandom == 1) then

			-- FLAWLESS VICTORY SCREEN TEXT
			if GoHv5_DeathKnight_Data.config.Menu_Fatality_Image == "YES" then
				Show_FlawlessVictory_Frame();
			end
			-- FLAWLESS VICTORY 1 SOUND FILE
			PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Praises\\Flawless_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

		elseif (GoH_DeathKnight.NumberRandom == 2) then

			-- FLAWLESS VICTORY SCREEN TEXT
			if GoHv5_DeathKnight_Data.config.Menu_Fatality_Image == "YES" then
				Show_FlawlessVictory_Frame();
			end
			-- FLAWLESS VICTORY 2 SOUND FILE
			PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Praises\\Flawless2_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

		elseif (GoH_DeathKnight.NumberRandom == 3) then

			-- FLAWLESS VICTORY SCREEN TEXT
			if GoHv5_DeathKnight_Data.config.Menu_Fatality_Image == "YES" then
				Show_FlawlessVictory_Frame();
			end
			-- FLAWLESS VICTORY 3 SOUND FILE
			PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Praises\\Flawless3_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

		end

end


-- BABALITY
function Play_Babality_Fatality_Praises()

	GoH_DeathKnight.NumberRandom = math.random(13);

		-- USE RANDOM MATH GENERATED RESULT
		if (GoH_DeathKnight.NumberRandom ~= 1) and (GoH_DeathKnight.NumberRandom ~= 2) then

			-- FATALITY - WELL DONE - EXCELLENT - ETC
			Play_Fatality_Praises();

		elseif (GoH_DeathKnight.NumberRandom == 1) then

			-- BABALITY SCREEN TEXT
			if GoHv5_DeathKnight_Data.config.Menu_Fatality_Image == "YES" then
				Show_Babality_Frame();
			end
			-- BABALITY 1 SOUND FILE (Male Only Sound File)
			PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Praises\\Babality_Male.mp3","Master");


		elseif (GoH_DeathKnight.NumberRandom == 2) then

			-- BABALITY SCREEN TEXT
			if GoHv5_DeathKnight_Data.config.Menu_Fatality_Image == "YES" then
				Show_Babality_Frame();
			end
			-- BABALITY 2 SOUND FILE (Male Only Sound File)
			PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Praises\\Babality2_Male.mp3","Master");

		end
end


-- ANIMALITY
function Play_Animality_Fatality_Praises()

	GoH_DeathKnight.NumberRandom = math.random(13);

		-- USE RANDOM MATH GENERATED RESULT
		if (GoH_DeathKnight.NumberRandom ~= 1) then

			-- FATALITY - WELL DONE - EXCELLENT - ETC
			Play_Fatality_Praises();

		elseif (GoH_DeathKnight.NumberRandom == 1) then

			-- ANIMALITY SCREEN TEXT
			if GoHv5_DeathKnight_Data.config.Menu_Fatality_Image == "YES" then
				Show_Animality_Frame();
			end
			-- ANIMALITY SOUND FILE (Male Only Sound File)
			PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Praises\\Animality_Male.mp3","Master");

		end
end

-- FATALITY - WELL DONE - EXCELLENT - ETC
function Play_Fatality_Praises()

	GoH_DeathKnight.NumberRandom = math.random(12);

		-- USE RANDOM MATH GENERATED RESULT
		if (GoH_DeathKnight.NumberRandom == 1) then

			-- BRUTALITY SCREEN TEXT
			if GoHv5_DeathKnight_Data.config.Menu_Fatality_Image == "YES" then
				Show_Brutality_Frame();
			end
			-- BRUTALITY SOUND FILE
			PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Praises\\Brutality_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

		elseif (GoH_DeathKnight.NumberRandom == 2) then

			-- EXCELLENT SCREEN TEXT
			if GoHv5_DeathKnight_Data.config.Menu_Fatality_Image == "YES" then
				Show_Excellent_Frame();
			end
			-- EXCELLENT 1 SOUND FILE
			PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Praises\\Excellent_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

		elseif (GoH_DeathKnight.NumberRandom == 3) then

			-- EXCELLENT SCREEN TEXT
			if GoHv5_DeathKnight_Data.config.Menu_Fatality_Image == "YES" then
				Show_Excellent_Frame();
			end
			-- EXCELLENT 2 SOUND FILE
			PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Praises\\Excellent2_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

		elseif (GoH_DeathKnight.NumberRandom == 4) then

			-- FATALITY SCREEN TEXT
			if GoHv5_DeathKnight_Data.config.Menu_Fatality_Image == "YES" then
				Show_Fatality_Frame();
			end
			-- FATALITY 1 SOUND FILE
			PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Praises\\Fatality_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

		elseif (GoH_DeathKnight.NumberRandom == 5) then

			-- FATALITY SCREEN TEXT
			if GoHv5_DeathKnight_Data.config.Menu_Fatality_Image == "YES" then
				Show_Fatality_Frame();
			end
			-- FATALITY 2 SOUND FILE
			PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Praises\\Fatality2_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

		elseif (GoH_DeathKnight.NumberRandom == 6) then

			-- ANNIHILATED SCREEN TEXT
			if GoHv5_DeathKnight_Data.config.Menu_Fatality_Image == "YES" then
				Show_Annihilated_Frame();
			end
			-- ANNIHILATED SOUND FILE
			PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Praises\\Annihilated_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

		elseif (GoH_DeathKnight.NumberRandom == 7) then

			-- FABULOUS SCREEN TEXT
			if GoHv5_DeathKnight_Data.config.Menu_Fatality_Image == "YES" then
				Show_Fabulous_Frame();
			end
			-- FABULOUS SOUND FILE
			PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Praises\\Fabulous_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

		elseif (GoH_DeathKnight.NumberRandom == 8) then

			-- IMPRESSIVE SCREEN TEXT
			if GoHv5_DeathKnight_Data.config.Menu_Fatality_Image == "YES" then
				Show_Impressive_Frame();
			end
			-- IMPRESSIVE SOUND FILE
			PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Praises\\Impressive_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

		elseif (GoH_DeathKnight.NumberRandom == 9) then

			-- OUTSTANDING SCREEN TEXT
			if GoHv5_DeathKnight_Data.config.Menu_Fatality_Image == "YES" then
				Show_Outstanding_Frame();
			end
			-- OUTSTANDING SOUND FILE
			PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Praises\\Outstanding_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

		elseif (GoH_DeathKnight.NumberRandom == 10) then

			-- SUPERB SCREEN TEXT
			if GoHv5_DeathKnight_Data.config.Menu_Fatality_Image == "YES" then
				Show_Superb_Frame();
			end
			-- SUPERB SOUND FILE
			PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Praises\\Supurb_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

		elseif (GoH_DeathKnight.NumberRandom == 11) then

			-- WELL DONE SCREEN TEXT
			if GoHv5_DeathKnight_Data.config.Menu_Fatality_Image == "YES" then
				Show_WellDone_Frame();
			end
			-- WELL DONE SOUND FILE
			PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Praises\\Well_Done_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

		elseif (GoH_DeathKnight.NumberRandom == 12) then

			-- WONDERFUL SCREEN TEXT
			if GoHv5_DeathKnight_Data.config.Menu_Fatality_Image == "YES" then
				Show_Wonderful_Frame();
			end
			-- WONDERFUL SOUND FILE
			PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Praises\\Wonderfull_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

		end

end


-- ONLY INSULTS
function Play_Only_Insults()

	GoH_DeathKnight.NumberRandom = math.random(5);

	-- USE RANDOM MATH GENERATED RESULT
	if (GoH_DeathKnight.NumberRandom == 1) then

		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\You_Weak_Pathetic_Fool_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

	elseif (GoH_DeathKnight.NumberRandom == 2) then

		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\You_Are_Nothing_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

	elseif (GoH_DeathKnight.NumberRandom == 3) then

		if (GoH_DeathKnight.Gender == "Male") then

			PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\You_Suck_MaleOnly.mp3","Master");

		else
			PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\That_Was_Pathetic_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
		end

	elseif (GoH_DeathKnight.NumberRandom == 4) then

		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\That_Was_Pathetic_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

	elseif (GoH_DeathKnight.NumberRandom == 5) then

		if (GoH_DeathKnight.Gender == "Male") then

			PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\You_Suck2_MaleOnly.mp3","Master");

		else
			PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\You_Weak_Pathetic_Fool_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
		end

	end

end

-- ENVIRONMENTAL INSULT
function Play_Env_Dont_Make_Me_Laugh()

	GoH_DeathKnight.NumberRandom = math.random(8);

	-- USE RANDOM MATH GENERATED RESULT
	if (GoH_DeathKnight.NumberRandom == 1) then

		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Dont_Make_Me_Laugh_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

	elseif (GoH_DeathKnight.NumberRandom == 2) then

		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Is_That_Your_Best_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

	elseif (GoH_DeathKnight.NumberRandom == 3) then

		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\That_Was_Pathetic_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

	elseif (GoH_DeathKnight.NumberRandom == 4) then

		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\You_Are_Nothing_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

	elseif (GoH_DeathKnight.NumberRandom == 5) then

		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\You_Weak_Pathetic_Fool_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

	elseif (GoH_DeathKnight.NumberRandom == 6) then

		if (GoH_DeathKnight.Gender == "Male") then

			PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\You_Suck_MaleOnly.mp3","Master");

		else
			PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\That_Was_Pathetic_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
		end

	elseif (GoH_DeathKnight.NumberRandom == 7) then

		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Dont_Make_Me_Laugh_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

	elseif (GoH_DeathKnight.NumberRandom == 8) then

		if (GoH_DeathKnight.Gender == "Male") then

			PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\You_Suck2_MaleOnly.mp3","Master");

		else
			PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\You_Weak_Pathetic_Fool_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
		end

	end

end

-- HEALTH INSULT
function Play_Combat_Insult_Random_Sound()

	GoH_DeathKnight.NumberRandom = math.random(3);

	-- USE RANDOM MATH GENERATED RESULT
	if (GoH_DeathKnight.NumberRandom == 1) then

		Play_Env_Dont_Make_Me_Laugh();

	elseif (GoH_DeathKnight.NumberRandom == 2) then

		Play_Random_Laugh();


	elseif (GoH_DeathKnight.NumberRandom == 3) then

		Play_Only_Insults();

	end

end



-- GUI OPEN BUTTON CLICK
function Play_DeathKnight_GUI_Open()
		if (GoHv5_DeathKnight_Data.config.Menu_OpenClose_Sounds == "YES") and (GoHv5_DeathKnight_Data.config.GoH_MenuOpenedAlready == "NO") then
				-- BEHOLD THE TOOLS OF CREATION
				PlaySoundFile("Sound\\Creature\\AlgalonTheObserver\\UR_Algalon_Special02.wav","Master")
		end
end

-- GUI CLOSE BUTTON CLICK
function Play_DeathKnight_GUI_Close()
		if (GoHv5_DeathKnight_Data.config.Menu_OpenClose_Sounds == "YES") and (GoHv5_DeathKnight_Data.config.GoH_MenuOpenedAlready == "NO") then
				-- DO YOU FEAR DEATH? HA HA HA HA HA
				PlaySoundFile("Sound\\Creature\\AmbassadorHellmaw\\Auch_Helmaw_Slay01.wav","Master")
		end
end

-- DEFAULT BUTTON SOUND
function GoH_DeathKnight_Default_Button_Sound()
		--DEFAULT CLICK SOUND
		PlaySound("GLUECHECKBOXMOUSEOVER","Master");
end


-- RANDOM DEATHGRIP SOUND
function Play_Random_DEATHGRIP_Sound()

		-- CALL RANDOM MATH GENERATOR
		-- See the number 4, that means you will need four sound files.
		-- If you want 7, change that number to 7. If you want less, change it to less.
		GoH_DeathKnight.NumberRandom = math.random(5);

		-- USE RANDOM MATH GENERATED RESULT
		if (GoH_DeathKnight.NumberRandom == 1) then

					if (GoH_DeathKnight.Gender == "Male") then
						GoH_DeathKnight.NumberRandom = math.random(3);
						if (GoH_DeathKnight.NumberRandom == 1) then
							-- play first sound (male) A
							PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Come_Here2_Male.mp3","Master");
						elseif (GoH_DeathKnight.NumberRandom == 2) then
							-- play first sound (male) B
							PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Come_Here_Male.mp3","Master");
						elseif (GoH_DeathKnight.NumberRandom == 3) then
							-- play first sound (male) C
				  			if GoHv5_DeathKnight_Data.config.Include_Headless_Horseman_Sound == "YES" then
								PlaySoundFile("Sound\\Creature\\HeadlessHorseMan\\Horseman_Beckon_01.wav","Master");
							else
								PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Come_Here_Male.mp3","Master");
							end
						end
					else
						-- play first sound (female)
						PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Come_Here_Female.mp3","Master");
					end

		elseif (GoH_DeathKnight.NumberRandom == 2) then

					if (GoH_DeathKnight.Gender == "Male") then
						GoH_DeathKnight.NumberRandom = math.random(2);
						if (GoH_DeathKnight.NumberRandom == 1) then
							-- play second sound (male) A
							PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Get_Over_Here2_Male.mp3","Master");
						elseif (GoH_DeathKnight.NumberRandom == 2) then
							-- play second sound (male) B
							PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Get_Over_Here_Male.mp3","Master");
						end
					else
						-- play second sound (female)
						PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Get_Over_Here_Female.mp3","Master");
					end

		elseif (GoH_DeathKnight.NumberRandom == 3) then

			-- play third sound
  			if GoHv5_DeathKnight_Data.config.Include_Rude_Sounds == "YES" then
				PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Get_Over_Here_Bitch_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
			else
				PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Get_Over_Here_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
			end

		elseif (GoH_DeathKnight.NumberRandom == 4) then

			-- play forth sound
  			if GoHv5_DeathKnight_Data.config.Include_Rude_Sounds == "YES" then
				PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Get_The_Fuck_Over_Here_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
			else
				PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Come_Here_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
			end

		elseif (GoH_DeathKnight.NumberRandom == 5) then

			-- play fifth sound
  			if GoHv5_DeathKnight_Data.config.Include_Gotcha_Sound == "YES" then
				PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Gotcha_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
			else
				PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Get_Over_Here_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
			end

		end

end

function Play_Random_Laugh()

	GoH_DeathKnight.NumberRandom = math.random(5);

	-- USE RANDOM MATH GENERATED RESULT
	if (GoH_DeathKnight.NumberRandom == 1) then

		PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Laugh_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

	elseif (GoH_DeathKnight.NumberRandom == 2) then

		PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Laugh2_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

	elseif (GoH_DeathKnight.NumberRandom == 3) then

		PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Laugh3_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

	elseif (GoH_DeathKnight.NumberRandom == 4) then

		PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Laugh4_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

	elseif (GoH_DeathKnight.NumberRandom == 5) then

		PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Laugh5_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

	end

end